/* stream.c :  entry=stream */
/* compiled by EusLisp 9.15() for Linux created on host01.storm.ros.org(Mon Aug 31 14:54:43 UTC 2015) */
#include "eus.h"
#include "stream.h"
#pragma init (register_stream)
extern double fabs();
extern pointer fcallx();
static void init_ftab();
extern pointer loadglobal(),storeglobal();
static pointer module,*qv,codevec,quotevec;
extern pointer ___stream();
extern pointer build_quote_vector();
static int register_stream()
  { add_module_initializer("___stream", ___stream);}

static pointer F22460reset_stream();
static pointer F22471make_two_way_stream();
static pointer F22474make_msgq_input_stream();
static pointer F22477make_msgq_output_stream();
static pointer F22481make_string_input_stream();
static pointer F22484make_string_output_stream();
static pointer F22489get_output_stream_string();
static pointer F22492read_from_string();
static pointer F22495princ_to_string();
static pointer F22498prin1_to_string();
static pointer F22507make_socket_address();
static pointer F22516make_socket_port();
static pointer F22524make_server_socket_stream();
static pointer F22528connect_sigalarm_handler();
static pointer F22531make_client_socket_stream();
static pointer F22534make_dgram_socket();
static pointer F22537connect_server();
static pointer F22541select_stream();
static pointer F22546sigio_handler();
static pointer F22555make_broadcast_stream();
static pointer F22558read_buffer();
static pointer F22561write_buffer();

/*:instream*/
static pointer M22621io_stream_instream(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<2) maerror();
	if (n>=3) { local[0]=(argv[2]); goto ENT22625;}
	local[0]= NIL;
ENT22625:
ENT22624:
	if (n>3) maerror();
	local[1]= local[0];
	ctx->vsp=local+2;
	w=(*ftab[0])(ctx,1,local+1,&ftab[0],fqv[0]); /*input-stream-p*/
	if (w==NIL) goto IF22641;
	argv[0]->c.obj.iv[1] = local[0];
	local[1]= argv[0]->c.obj.iv[1];
	goto IF22642;
IF22641:
	local[1]= NIL;
IF22642:
	w = argv[0]->c.obj.iv[1];
	local[0]= w;
BLK22622:
	ctx->vsp=local; return(local[0]);}

/*:outstream*/
static pointer M22660io_stream_outstream(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<2) maerror();
	if (n>=3) { local[0]=(argv[2]); goto ENT22664;}
	local[0]= NIL;
ENT22664:
ENT22663:
	if (n>3) maerror();
	local[1]= local[0];
	ctx->vsp=local+2;
	w=(*ftab[1])(ctx,1,local+1,&ftab[1],fqv[1]); /*output-stream-p*/
	if (w==NIL) goto IF22680;
	argv[0]->c.obj.iv[2] = local[0];
	local[1]= argv[0]->c.obj.iv[2];
	goto IF22681;
IF22680:
	local[1]= NIL;
IF22681:
	w = argv[0]->c.obj.iv[2];
	local[0]= w;
BLK22661:
	ctx->vsp=local; return(local[0]);}

/*:infd*/
static pointer M22699io_stream_infd(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=2) maerror();
	local[0]= argv[0]->c.obj.iv[1];
	local[1]= fqv[2];
	ctx->vsp=local+2;
	w=(pointer)SEND(ctx,2,local+0); /*send*/
	local[0]= w;
BLK22700:
	ctx->vsp=local; return(local[0]);}

/*:outfd*/
static pointer M22718io_stream_outfd(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=2) maerror();
	local[0]= argv[0]->c.obj.iv[2];
	local[1]= fqv[3];
	ctx->vsp=local+2;
	w=(pointer)SEND(ctx,2,local+0); /*send*/
	local[0]= w;
BLK22719:
	ctx->vsp=local; return(local[0]);}

/*:in*/
static pointer M22737io_stream_in(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<2) maerror();
RST22740:
	ctx->vsp=local+0;
	local[0]= minilist(ctx,&argv[n],n-2);
	local[1]= (pointer)get_sym_func(fqv[4]);
	local[2]= argv[0]->c.obj.iv[1];
	local[3]= local[0];
	ctx->vsp=local+4;
	w=(pointer)APPLY(ctx,3,local+1); /*apply*/
	local[0]= w;
BLK22738:
	ctx->vsp=local; return(local[0]);}

/*:out*/
static pointer M22761io_stream_out(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<2) maerror();
RST22764:
	ctx->vsp=local+0;
	local[0]= minilist(ctx,&argv[n],n-2);
	local[1]= (pointer)get_sym_func(fqv[4]);
	local[2]= argv[0]->c.obj.iv[2];
	local[3]= local[0];
	ctx->vsp=local+4;
	w=(pointer)APPLY(ctx,3,local+1); /*apply*/
	local[0]= w;
BLK22762:
	ctx->vsp=local; return(local[0]);}

/*:flag*/
static pointer M22785io_stream_flag(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=2) maerror();
	local[0]= argv[0]->c.obj.iv[1];
	local[1]= fqv[5];
	ctx->vsp=local+2;
	w=(pointer)SEND(ctx,2,local+0); /*send*/
	local[0]= w;
BLK22786:
	ctx->vsp=local; return(local[0]);}

/*:async*/
static pointer M22804io_stream_async(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=3) maerror();
	local[0]= argv[0]->c.obj.iv[1];
	local[1]= fqv[6];
	local[2]= argv[2];
	ctx->vsp=local+3;
	w=(pointer)SEND(ctx,3,local+0); /*send*/
	local[0]= w;
BLK22805:
	ctx->vsp=local; return(local[0]);}

/*:fname*/
static pointer M22826io_stream_fname(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=2) maerror();
	local[0]= argv[0]->c.obj.iv[1];
	local[1]= fqv[7];
	ctx->vsp=local+2;
	w=(pointer)SEND(ctx,2,local+0); /*send*/
	local[0]= w;
BLK22827:
	ctx->vsp=local; return(local[0]);}

/*:init*/
static pointer M22845io_stream_init(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=4) maerror();
	argv[0]->c.obj.iv[1] = argv[2];
	argv[0]->c.obj.iv[2] = argv[3];
	w = argv[0];
	local[0]= w;
BLK22846:
	ctx->vsp=local; return(local[0]);}

/*:reset*/
static pointer M22892stream_reset(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<2) maerror();
	if (n>=3) { local[0]=(argv[2]); goto ENT22896;}
	local[0]= NIL;
ENT22896:
ENT22895:
	if (n>3) maerror();
	argv[0]->c.obj.iv[3] = makeint(0);
	if (local[0]==NIL) goto IF22916;
	local[1]= argv[0]->c.obj.iv[2];
	ctx->vsp=local+2;
	w=(pointer)LENGTH(ctx,1,local+1); /*length*/
	local[1]= w;
	goto IF22917;
IF22916:
	local[1]= makeint(0);
IF22917:
	argv[0]->c.obj.iv[4] = local[1];
	w = argv[0];
	local[0]= w;
BLK22893:
	ctx->vsp=local; return(local[0]);}

/*:discard*/
static pointer M22931stream_discard(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<2) maerror();
	if (n>=3) { local[0]=(argv[2]); goto ENT22935;}
	local[0]= makeint(1);
ENT22935:
ENT22934:
	if (n>3) maerror();
	local[1]= argv[0]->c.obj.iv[4];
	local[2]= argv[0]->c.obj.iv[3];
	local[3]= local[0];
	ctx->vsp=local+4;
	w=(pointer)PLUS(ctx,2,local+2); /*+*/
	local[2]= w;
	ctx->vsp=local+3;
	w=(pointer)MAX(ctx,2,local+1); /*max*/
	argv[0]->c.obj.iv[3] = w;
	w = argv[0]->c.obj.iv[3];
	local[0]= w;
BLK22932:
	ctx->vsp=local; return(local[0]);}

/*:count*/
static pointer M22967stream_count(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=2) maerror();
	w = argv[0]->c.obj.iv[3];
	local[0]= w;
BLK22968:
	ctx->vsp=local; return(local[0]);}

/*:tail*/
static pointer M22983stream_tail(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<2) maerror();
	if (n>=3) { local[0]=(argv[2]); goto ENT22987;}
	local[0]= NIL;
ENT22987:
ENT22986:
	if (n>3) maerror();
	if (local[0]==NIL) goto IF23003;
	local[1]= argv[0]->c.obj.iv[2];
	ctx->vsp=local+2;
	w=(pointer)LENGTH(ctx,1,local+1); /*length*/
	argv[0]->c.obj.iv[4] = w;
	local[1]= argv[0]->c.obj.iv[4];
	goto IF23004;
IF23003:
	local[1]= NIL;
IF23004:
	w = argv[0]->c.obj.iv[4];
	local[0]= w;
BLK22984:
	ctx->vsp=local; return(local[0]);}

/*:chars-left*/
static pointer M23021stream_chars_left(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=2) maerror();
	local[0]= argv[0]->c.obj.iv[4];
	local[1]= argv[0]->c.obj.iv[3];
	ctx->vsp=local+2;
	w=(pointer)MINUS(ctx,2,local+0); /*-*/
	local[0]= w;
BLK23022:
	ctx->vsp=local; return(local[0]);}

/*:tail-string*/
static pointer M23041stream_tail_string(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=2) maerror();
	local[0]= argv[0]->c.obj.iv[2];
	local[1]= argv[0]->c.obj.iv[3];
	local[2]= argv[0]->c.obj.iv[4];
	ctx->vsp=local+3;
	w=(pointer)SUBSEQ(ctx,3,local+0); /*subseq*/
	local[0]= w;
BLK23042:
	ctx->vsp=local; return(local[0]);}

/*:buffer*/
static pointer M23060stream_buffer(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<2) maerror();
	if (n>=3) { local[0]=(argv[2]); goto ENT23065;}
	local[0]= NIL;
ENT23065:
	if (n>=4) { local[1]=(argv[3]); goto ENT23064;}
	local[1]= NIL;
ENT23064:
ENT23063:
	if (n>4) maerror();
	if (local[1]==NIL) goto CON23087;
	local[2]= argv[0]->c.obj.iv[2];
	local[3]= local[0];
	local[4]= local[1];
	ctx->vsp=local+5;
	w=(pointer)SUBSEQ(ctx,3,local+2); /*subseq*/
	local[2]= w;
	goto CON23085;
CON23087:
	w = local[0];
	if (!isstring(w)) goto CON23097;
	argv[0]->c.obj.iv[2] = local[0];
	local[2]= argv[0]->c.obj.iv[2];
	goto CON23085;
CON23097:
	w = local[0];
	if (!isint(w)) goto CON23108;
	local[2]= local[0];
	ctx->vsp=local+3;
	w=(*ftab[2])(ctx,1,local+2,&ftab[2],fqv[8]); /*make-string*/
	argv[0]->c.obj.iv[2] = w;
	local[2]= argv[0]->c.obj.iv[2];
	goto CON23085;
CON23108:
	local[2]= argv[0]->c.obj.iv[2];
	goto CON23085;
CON23122:
	local[2]= NIL;
CON23085:
	w = local[2];
	local[0]= w;
BLK23061:
	ctx->vsp=local; return(local[0]);}

/*:init*/
static pointer M23128stream_init(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<4) maerror();
	if (n>=5) { local[0]=(argv[4]); goto ENT23133;}
	local[0]= NIL;
ENT23133:
	if (n>=6) { local[1]=(argv[5]); goto ENT23132;}
	local[1]= NIL;
ENT23132:
ENT23131:
	if (n>6) maerror();
	argv[0]->c.obj.iv[1] = argv[2];
	w = argv[3];
	if (!isstring(w)) goto IF23162;
	local[2]= argv[3];
	goto IF23163;
IF23162:
	local[2]= loadglobal(fqv[9]);
	local[3]= argv[3];
	ctx->vsp=local+4;
	w=(pointer)INSTANTIATE(ctx,2,local+2); /*instantiate*/
	local[2]= w;
IF23163:
	argv[0]->c.obj.iv[2] = local[2];
	w = local[0];
	if (!isint(w)) goto IF23175;
	local[2]= local[0];
	goto IF23176;
IF23175:
	local[2]= makeint(0);
IF23176:
	argv[0]->c.obj.iv[3] = local[2];
	w = local[1];
	if (!isint(w)) goto IF23183;
	local[2]= local[1];
	goto IF23184;
IF23183:
	local[2]= argv[0]->c.obj.iv[2];
	ctx->vsp=local+3;
	w=(pointer)LENGTH(ctx,1,local+2); /*length*/
	local[2]= w;
IF23184:
	argv[0]->c.obj.iv[4] = local[2];
	w = argv[0];
	local[0]= w;
BLK23129:
	ctx->vsp=local; return(local[0]);}

/*reset-stream*/
static pointer F22460reset_stream(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=1) maerror();
	local[0]= argv[0];
	local[1]= fqv[10];
	ctx->vsp=local+2;
	w=(pointer)SEND(ctx,2,local+0); /*send*/
	local[0]= w;
BLK23201:
	ctx->vsp=local; return(local[0]);}

/*:fd*/
static pointer M23246file_stream_fd(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=2) maerror();
	w = argv[0]->c.obj.iv[5];
	local[0]= w;
BLK23247:
	ctx->vsp=local; return(local[0]);}

/*:instream*/
static pointer M23262file_stream_instream(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=2) maerror();
	local[0]= argv[0]->c.obj.iv[1];
	if (fqv[11]!=local[0]) goto IF23275;
	local[0]= argv[0];
	goto IF23276;
IF23275:
	local[0]= NIL;
IF23276:
	w = local[0];
	local[0]= w;
BLK23263:
	ctx->vsp=local; return(local[0]);}

/*:outstream*/
static pointer M23285file_stream_outstream(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=2) maerror();
	local[0]= argv[0]->c.obj.iv[1];
	if (fqv[12]!=local[0]) goto IF23298;
	local[0]= argv[0];
	goto IF23299;
IF23298:
	local[0]= NIL;
IF23299:
	w = local[0];
	local[0]= w;
BLK23286:
	ctx->vsp=local; return(local[0]);}

/*:infd*/
static pointer M23308file_stream_infd(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=2) maerror();
	local[0]= argv[0]->c.obj.iv[1];
	if (fqv[11]!=local[0]) goto IF23321;
	local[0]= argv[0]->c.obj.iv[5];
	goto IF23322;
IF23321:
	local[0]= NIL;
IF23322:
	w = local[0];
	local[0]= w;
BLK23309:
	ctx->vsp=local; return(local[0]);}

/*:outfd*/
static pointer M23331file_stream_outfd(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=2) maerror();
	local[0]= argv[0]->c.obj.iv[1];
	if (fqv[12]!=local[0]) goto IF23344;
	local[0]= argv[0]->c.obj.iv[5];
	goto IF23345;
IF23344:
	local[0]= NIL;
IF23345:
	w = local[0];
	local[0]= w;
BLK23332:
	ctx->vsp=local; return(local[0]);}

/*:fname*/
static pointer M23354file_stream_fname(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=2) maerror();
	w = argv[0]->c.obj.iv[6];
	local[0]= w;
BLK23355:
	ctx->vsp=local; return(local[0]);}

/*:flag*/
static pointer M23370file_stream_flag(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=2) maerror();
	local[0]= argv[0]->c.obj.iv[5];
	local[1]= makeint(3);
	local[2]= makeint(0);
	ctx->vsp=local+3;
	w=(pointer)FCNTL(ctx,3,local+0); /*unix:fcntl*/
	local[0]= w;
BLK23371:
	ctx->vsp=local; return(local[0]);}

/*:async*/
static pointer M23387file_stream_async(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=3) maerror();
	if (argv[2]==NIL) goto CON23404;
	local[0]= argv[0]->c.obj.iv[5];
	local[1]= makeint(4);
	local[2]= argv[0];
	local[3]= fqv[5];
	ctx->vsp=local+4;
	w=(pointer)SEND(ctx,2,local+2); /*send*/
	local[2]= w;
	local[3]= makeint(8192);
	ctx->vsp=local+4;
	w=(pointer)LOGIOR(ctx,2,local+2); /*logior*/
	local[2]= w;
	ctx->vsp=local+3;
	w=(pointer)FCNTL(ctx,3,local+0); /*unix:fcntl*/
	local[0]= argv[0]->c.obj.iv[5];
	local[1]= makeint(8);
	ctx->vsp=local+2;
	w=(pointer)GETPID(ctx,0,local+2); /*unix:getpid*/
	local[2]= w;
	ctx->vsp=local+3;
	w=(pointer)FCNTL(ctx,3,local+0); /*unix:fcntl*/
	local[0]= w;
	goto CON23402;
CON23404:
	local[0]= argv[0]->c.obj.iv[5];
	local[1]= makeint(4);
	local[2]= argv[0];
	local[3]= fqv[5];
	ctx->vsp=local+4;
	w=(pointer)SEND(ctx,2,local+2); /*send*/
	local[2]= w;
	local[3]= makeint(8192);
	ctx->vsp=local+4;
	w=(pointer)LOGNOT(ctx,1,local+3); /*lognot*/
	local[3]= w;
	ctx->vsp=local+4;
	w=(pointer)LOGAND(ctx,2,local+2); /*logand*/
	local[2]= w;
	ctx->vsp=local+3;
	w=(pointer)FCNTL(ctx,3,local+0); /*unix:fcntl*/
	local[0]= w;
	goto CON23402;
CON23427:
	local[0]= NIL;
CON23402:
	w = local[0];
	local[0]= w;
BLK23388:
	ctx->vsp=local; return(local[0]);}

/*:nonblock*/
static pointer M23446file_stream_nonblock(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=3) maerror();
	if (argv[2]==NIL) goto CON23463;
	local[0]= argv[0]->c.obj.iv[5];
	local[1]= makeint(4);
	local[2]= argv[0];
	local[3]= fqv[5];
	ctx->vsp=local+4;
	w=(pointer)SEND(ctx,2,local+2); /*send*/
	local[2]= w;
	local[3]= loadglobal(fqv[13]);
	ctx->vsp=local+4;
	w=(pointer)LOGIOR(ctx,2,local+2); /*logior*/
	local[2]= w;
	ctx->vsp=local+3;
	w=(pointer)FCNTL(ctx,3,local+0); /*unix:fcntl*/
	local[0]= argv[0]->c.obj.iv[5];
	local[1]= makeint(8);
	ctx->vsp=local+2;
	w=(pointer)GETPID(ctx,0,local+2); /*unix:getpid*/
	local[2]= w;
	ctx->vsp=local+3;
	w=(pointer)FCNTL(ctx,3,local+0); /*unix:fcntl*/
	local[0]= w;
	goto CON23461;
CON23463:
	local[0]= argv[0]->c.obj.iv[5];
	local[1]= makeint(4);
	local[2]= argv[0];
	local[3]= fqv[5];
	ctx->vsp=local+4;
	w=(pointer)SEND(ctx,2,local+2); /*send*/
	local[2]= w;
	local[3]= loadglobal(fqv[13]);
	ctx->vsp=local+4;
	w=(pointer)LOGNOT(ctx,1,local+3); /*lognot*/
	local[3]= w;
	ctx->vsp=local+4;
	w=(pointer)LOGAND(ctx,2,local+2); /*logand*/
	local[2]= w;
	ctx->vsp=local+3;
	w=(pointer)FCNTL(ctx,3,local+0); /*unix:fcntl*/
	local[0]= w;
	goto CON23461;
CON23488:
	local[0]= NIL;
CON23461:
	w = local[0];
	local[0]= w;
BLK23447:
	ctx->vsp=local; return(local[0]);}

/*:prin1*/
static pointer M23508file_stream_prin1(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<2) maerror();
	if (n>=3) { local[0]=(argv[2]); goto ENT23512;}
	local[0]= T;
ENT23512:
ENT23511:
	ctx->vsp=local+1;
	local[1]= minilist(ctx,&argv[n],n-3);
	local[2]= (pointer)get_sym_func(fqv[14]);
	local[3]= argv[0];
	local[4]= *(ovafptr(argv[1],fqv[15]));
	local[5]= fqv[16];
	local[6]= local[0];
	local[7]= NIL;
	local[8]= fqv[17];
	local[9]= argv[0]->c.obj.iv[6];
	local[10]= argv[0]->c.obj.iv[1];
	local[11]= argv[0]->c.obj.iv[2];
	ctx->vsp=local+12;
	w=(pointer)LENGTH(ctx,1,local+11); /*length*/
	local[11]= w;
	ctx->vsp=local+12;
	w=(pointer)XFORMAT(ctx,5,local+7); /*format*/
	local[7]= w;
	local[8]= local[1];
	ctx->vsp=local+9;
	w=(pointer)APPLY(ctx,7,local+2); /*apply*/
	local[0]= w;
BLK23509:
	ctx->vsp=local; return(local[0]);}

/*:init*/
static pointer M23549file_stream_init(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<5) maerror();
	if (n>=6) { local[0]=(argv[5]); goto ENT23553;}
	local[0]= makeint(128);
ENT23553:
ENT23552:
	if (n>6) maerror();
	local[1]= argv[0];
	local[2]= *(ovafptr(argv[1],fqv[15]));
	local[3]= fqv[18];
	local[4]= argv[4];
	local[5]= local[0];
	ctx->vsp=local+6;
	w=(pointer)SENDMESSAGE(ctx,5,local+1); /*send-message*/
	argv[0]->c.obj.iv[5] = argv[2];
	argv[0]->c.obj.iv[6] = argv[3];
	argv[0]->c.obj.iv[4] = makeint(0);
	w = argv[0];
	local[0]= w;
BLK23550:
	ctx->vsp=local; return(local[0]);}

/*:read-bytes*/
static pointer M23625file_stream_read_bytes(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<3) maerror();
	if (n>=4) { local[0]=(argv[3]); goto ENT23630;}
	local[0]= argv[2];
	ctx->vsp=local+1;
	w=(*ftab[2])(ctx,1,local+0,&ftab[2],fqv[8]); /*make-string*/
	local[0]= w;
ENT23630:
	if (n>=5) { local[1]=(argv[4]); goto ENT23629;}
	local[1]= makeint(0);
ENT23629:
ENT23628:
	if (n>5) maerror();
	local[2]= NIL;
	w = local[0];
	if (isstring(w)) goto IF23663;
	local[3]= local[0];
	ctx->vsp=local+4;
	w=(pointer)LENGTH(ctx,1,local+3); /*length*/
	local[3]= w;
	local[4]= argv[2];
	ctx->vsp=local+5;
	w=(pointer)LESSP(ctx,2,local+3); /*<*/
	if (w==NIL) goto IF23663;
	local[3]= fqv[19];
	ctx->vsp=local+4;
	w=(pointer)SIGERROR(ctx,1,local+3); /*error*/
	local[3]= w;
	goto IF23664;
IF23663:
	local[3]= NIL;
IF23664:
	local[3]= argv[0];
	local[4]= fqv[20];
	ctx->vsp=local+5;
	w=(pointer)SEND(ctx,2,local+3); /*send*/
	local[2] = w;
	local[3]= local[2];
	ctx->vsp=local+4;
	w=(*ftab[3])(ctx,1,local+3,&ftab[3],fqv[21]); /*plusp*/
	if (w==NIL) goto IF23680;
	local[3]= local[0];
	local[4]= argv[0];
	local[5]= fqv[22];
	ctx->vsp=local+6;
	w=(pointer)SEND(ctx,2,local+4); /*send*/
	local[4]= w;
	local[5]= fqv[23];
	local[6]= argv[2];
	ctx->vsp=local+7;
	w=(*ftab[4])(ctx,4,local+3,&ftab[4],fqv[24]); /*replace*/
	local[3]= argv[2];
	local[4]= local[2];
	ctx->vsp=local+5;
	w=(pointer)MIN(ctx,2,local+3); /*min*/
	local[2] = w;
	local[3]= argv[0]->c.obj.iv[3];
	local[4]= local[2];
	ctx->vsp=local+5;
	w=(pointer)PLUS(ctx,2,local+3); /*+*/
	argv[0]->c.obj.iv[3] = w;
	local[3]= local[1];
	local[4]= local[2];
	ctx->vsp=local+5;
	w=(pointer)PLUS(ctx,2,local+3); /*+*/
	local[1] = w;
	local[3]= local[1];
	goto IF23681;
IF23680:
	local[3]= NIL;
IF23681:
WHL23750:
	local[3]= local[1];
	local[4]= argv[2];
	ctx->vsp=local+5;
	w=(pointer)LESSP(ctx,2,local+3); /*<*/
	if (w==NIL) goto WHX23751;
	local[3]= argv[0]->c.obj.iv[5];
	local[4]= local[0];
	local[5]= argv[2];
	local[6]= local[1];
	ctx->vsp=local+7;
	w=(pointer)MINUS(ctx,2,local+5); /*-*/
	local[5]= w;
	local[6]= local[1];
	ctx->vsp=local+7;
	w=(pointer)UNIXREAD(ctx,4,local+3); /*unix:uread*/
	local[2] = w;
	local[3]= local[2];
	local[4]= makeint(0);
	ctx->vsp=local+5;
	w=(pointer)LSEQP(ctx,2,local+3); /*<=*/
	if (w==NIL) goto IF23776;
	local[3]= fqv[25];
	ctx->vsp=local+4;
	w=(pointer)SIGERROR(ctx,1,local+3); /*error*/
	local[3]= w;
	goto IF23777;
IF23776:
	local[3]= NIL;
IF23777:
	local[3]= local[1];
	local[4]= local[2];
	ctx->vsp=local+5;
	w=(pointer)PLUS(ctx,2,local+3); /*+*/
	local[1] = w;
	goto WHL23750;
WHX23751:
	local[3]= NIL;
BLK23752:
	w = local[0];
	local[0]= w;
BLK23626:
	ctx->vsp=local; return(local[0]);}

/*:read-bytes-eof*/
static pointer M23802file_stream_read_bytes_eof(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=2) maerror();
	local[0]= NIL;
	local[1]= NIL;
	local[2]= argv[0];
	local[3]= fqv[20];
	ctx->vsp=local+4;
	w=(pointer)SEND(ctx,2,local+2); /*send*/
	local[1] = w;
	local[2]= local[1];
	ctx->vsp=local+3;
	w=(*ftab[3])(ctx,1,local+2,&ftab[3],fqv[21]); /*plusp*/
	if (w==NIL) goto IF23826;
	local[2]= argv[0];
	local[3]= fqv[22];
	ctx->vsp=local+4;
	w=(pointer)SEND(ctx,2,local+2); /*send*/
	local[2]= w;
	ctx->vsp=local+3;
	w=(pointer)LIST(ctx,1,local+2); /*list*/
	local[0] = w;
	local[2]= argv[0];
	local[3]= fqv[26];
	ctx->vsp=local+4;
	w=(pointer)SEND(ctx,2,local+2); /*send*/
	local[2]= w;
	goto IF23827;
IF23826:
	local[2]= NIL;
IF23827:
WHL23865:
	local[2]= argv[0]->c.obj.iv[5];
	local[3]= argv[0]->c.obj.iv[2];
	ctx->vsp=local+4;
	w=(pointer)UNIXREAD(ctx,2,local+2); /*unix:uread*/
	local[1] = w;
	local[2]= local[1];
	ctx->vsp=local+3;
	w=(*ftab[3])(ctx,1,local+2,&ftab[3],fqv[21]); /*plusp*/
	if (w==NIL) goto WHX23866;
	local[2]= argv[0]->c.obj.iv[2];
	local[3]= makeint(0);
	local[4]= local[1];
	ctx->vsp=local+5;
	w=(pointer)SUBSEQ(ctx,3,local+2); /*subseq*/
	local[2]= w;
	w = local[0];
	ctx->vsp=local+3;
	local[0] = cons(ctx,local[2],w);
	goto WHL23865;
WHX23866:
	local[2]= NIL;
BLK23867:
	local[2]= (pointer)get_sym_func(fqv[27]);
	local[3]= loadglobal(fqv[9]);
	local[4]= local[0];
	ctx->vsp=local+5;
	w=(pointer)NREVERSE(ctx,1,local+4); /*nreverse*/
	local[4]= w;
	ctx->vsp=local+5;
	w=(pointer)APPLY(ctx,3,local+2); /*apply*/
	local[0]= w;
BLK23803:
	ctx->vsp=local; return(local[0]);}

/*make-two-way-stream*/
static pointer F22471make_two_way_stream(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=2) maerror();
	local[0]= loadglobal(fqv[28]);
	ctx->vsp=local+1;
	w=(pointer)INSTANTIATE(ctx,1,local+0); /*instantiate*/
	local[0]= w;
	local[1]= local[0];
	local[2]= fqv[18];
	local[3]= argv[0];
	local[4]= argv[1];
	ctx->vsp=local+5;
	w=(pointer)SEND(ctx,4,local+1); /*send*/
	w = local[0];
	local[0]= w;
BLK23910:
	ctx->vsp=local; return(local[0]);}

/*make-msgq-input-stream*/
static pointer F22474make_msgq_input_stream(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<1) maerror();
	if (n>=2) { local[0]=(argv[1]); goto ENT23954;}
	local[0]= makeint(128);
ENT23954:
ENT23953:
	if (n>2) maerror();
	local[1]= loadglobal(fqv[29]);
	ctx->vsp=local+2;
	w=(pointer)INSTANTIATE(ctx,1,local+1); /*instantiate*/
	local[1]= w;
	local[2]= local[1];
	local[3]= fqv[18];
	local[4]= argv[0];
	ctx->vsp=local+5;
	w=(pointer)MSGGET(ctx,1,local+4); /*unix:msgget*/
	local[4]= w;
	local[5]= argv[0];
	local[6]= fqv[11];
	local[7]= local[0];
	ctx->vsp=local+8;
	w=(pointer)SEND(ctx,6,local+2); /*send*/
	w = local[1];
	local[0]= w;
BLK23951:
	ctx->vsp=local; return(local[0]);}

/*make-msgq-output-stream*/
static pointer F22477make_msgq_output_stream(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<1) maerror();
	if (n>=2) { local[0]=(argv[1]); goto ENT24005;}
	local[0]= makeint(128);
ENT24005:
ENT24004:
	if (n>2) maerror();
	local[1]= loadglobal(fqv[29]);
	ctx->vsp=local+2;
	w=(pointer)INSTANTIATE(ctx,1,local+1); /*instantiate*/
	local[1]= w;
	local[2]= local[1];
	local[3]= fqv[18];
	local[4]= argv[0];
	ctx->vsp=local+5;
	w=(pointer)MSGGET(ctx,1,local+4); /*unix:msgget*/
	local[4]= w;
	local[5]= argv[0];
	local[6]= fqv[12];
	local[7]= local[0];
	ctx->vsp=local+8;
	w=(pointer)SEND(ctx,6,local+2); /*send*/
	w = local[1];
	local[0]= w;
BLK24002:
	ctx->vsp=local; return(local[0]);}

/*make-string-input-stream*/
static pointer F22481make_string_input_stream(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<1) maerror();
	if (n>=2) { local[0]=(argv[1]); goto ENT24057;}
	local[0]= NIL;
ENT24057:
	if (n>=3) { local[1]=(argv[2]); goto ENT24056;}
	local[1]= NIL;
ENT24056:
ENT24055:
	if (n>3) maerror();
	w = argv[0];
	if (isstring(w)) goto IF24075;
	local[2]= fqv[30];
	ctx->vsp=local+3;
	w=(pointer)SIGERROR(ctx,1,local+2); /*error*/
	local[2]= w;
	goto IF24076;
IF24075:
	local[2]= NIL;
IF24076:
	local[2]= loadglobal(fqv[31]);
	ctx->vsp=local+3;
	w=(pointer)INSTANTIATE(ctx,1,local+2); /*instantiate*/
	local[2]= w;
	local[3]= local[2];
	local[4]= fqv[18];
	local[5]= fqv[11];
	local[6]= argv[0];
	local[7]= local[0];
	local[8]= local[1];
	ctx->vsp=local+9;
	w=(pointer)SEND(ctx,6,local+3); /*send*/
	w = local[2];
	argv[0] = w;
	w = argv[0];
	local[0]= w;
BLK24053:
	ctx->vsp=local; return(local[0]);}

/*make-string-output-stream*/
static pointer F22484make_string_output_stream(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<0) maerror();
	if (n>=1) { local[0]=(argv[0]); goto ENT24129;}
	local[0]= makeint(64);
ENT24129:
	if (n>=2) { local[1]=(argv[1]); goto ENT24128;}
	local[1]= NIL;
ENT24128:
	if (n>=3) { local[2]=(argv[2]); goto ENT24127;}
	local[2]= NIL;
ENT24127:
ENT24126:
	if (n>3) maerror();
	local[3]= loadglobal(fqv[31]);
	ctx->vsp=local+4;
	w=(pointer)INSTANTIATE(ctx,1,local+3); /*instantiate*/
	local[3]= w;
	local[4]= local[3];
	local[5]= fqv[18];
	local[6]= fqv[12];
	local[7]= local[0];
	local[8]= local[1];
	local[9]= local[2];
	ctx->vsp=local+10;
	w=(pointer)SEND(ctx,6,local+4); /*send*/
	w = local[3];
	local[0] = w;
	w = local[0];
	local[0]= w;
BLK24124:
	ctx->vsp=local; return(local[0]);}

/*with-input-from-string*/
static pointer F24188(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<1) maerror();
RST24191:
	ctx->vsp=local+0;
	local[0]= minilist(ctx,&argv[n],n-1);
	local[1]= fqv[32];
	w=argv[0];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[2]= (w)->c.cons.car;
	local[3]= fqv[33];
	w=argv[0];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	w=(w)->c.cons.cdr;
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[4]= (w)->c.cons.car;
	local[5]= fqv[34];
	local[6]= fqv[35];
	local[7]= fqv[36];
	local[8]= fqv[37];
	local[9]= argv[0];
	ctx->vsp=local+10;
	w=(pointer)LIST(ctx,1,local+9); /*list*/
	ctx->vsp=local+9;
	local[8]= cons(ctx,local[8],w);
	ctx->vsp=local+9;
	w=(pointer)LIST(ctx,1,local+8); /*list*/
	ctx->vsp=local+8;
	w = cons(ctx,local[7],w);
	ctx->vsp=local+7;
	local[6]= cons(ctx,local[6],w);
	local[7]= fqv[38];
	local[8]= fqv[35];
	local[9]= fqv[36];
	local[10]= fqv[37];
	local[11]= argv[0];
	ctx->vsp=local+12;
	w=(pointer)LIST(ctx,1,local+11); /*list*/
	ctx->vsp=local+11;
	local[10]= cons(ctx,local[10],w);
	ctx->vsp=local+11;
	w=(pointer)LIST(ctx,1,local+10); /*list*/
	ctx->vsp=local+10;
	w = cons(ctx,local[9],w);
	ctx->vsp=local+9;
	local[8]= cons(ctx,local[8],w);
	ctx->vsp=local+9;
	w=(pointer)LIST(ctx,1,local+8); /*list*/
	ctx->vsp=local+8;
	local[7]= cons(ctx,local[7],w);
	local[8]= fqv[39];
	ctx->vsp=local+9;
	w=(pointer)LIST(ctx,1,local+8); /*list*/
	ctx->vsp=local+8;
	w = cons(ctx,local[7],w);
	ctx->vsp=local+7;
	w = cons(ctx,local[6],w);
	ctx->vsp=local+6;
	local[5]= cons(ctx,local[5],w);
	local[6]= fqv[34];
	local[7]= fqv[35];
	local[8]= fqv[40];
	local[9]= fqv[37];
	local[10]= argv[0];
	ctx->vsp=local+11;
	w=(pointer)LIST(ctx,1,local+10); /*list*/
	ctx->vsp=local+10;
	local[9]= cons(ctx,local[9],w);
	ctx->vsp=local+10;
	w=(pointer)LIST(ctx,1,local+9); /*list*/
	ctx->vsp=local+9;
	w = cons(ctx,local[8],w);
	ctx->vsp=local+8;
	local[7]= cons(ctx,local[7],w);
	local[8]= fqv[38];
	local[9]= fqv[35];
	local[10]= fqv[40];
	local[11]= fqv[37];
	local[12]= argv[0];
	ctx->vsp=local+13;
	w=(pointer)LIST(ctx,1,local+12); /*list*/
	ctx->vsp=local+12;
	local[11]= cons(ctx,local[11],w);
	ctx->vsp=local+12;
	w=(pointer)LIST(ctx,1,local+11); /*list*/
	ctx->vsp=local+11;
	w = cons(ctx,local[10],w);
	ctx->vsp=local+10;
	local[9]= cons(ctx,local[9],w);
	ctx->vsp=local+10;
	w=(pointer)LIST(ctx,1,local+9); /*list*/
	ctx->vsp=local+9;
	local[8]= cons(ctx,local[8],w);
	local[9]= fqv[39];
	ctx->vsp=local+10;
	w=(pointer)LIST(ctx,1,local+9); /*list*/
	ctx->vsp=local+9;
	w = cons(ctx,local[8],w);
	ctx->vsp=local+8;
	w = cons(ctx,local[7],w);
	ctx->vsp=local+7;
	local[6]= cons(ctx,local[6],w);
	ctx->vsp=local+7;
	w=(pointer)LIST(ctx,1,local+6); /*list*/
	ctx->vsp=local+6;
	w = cons(ctx,local[5],w);
	ctx->vsp=local+5;
	w = cons(ctx,local[4],w);
	ctx->vsp=local+4;
	local[3]= cons(ctx,local[3],w);
	ctx->vsp=local+4;
	w=(pointer)LIST(ctx,1,local+3); /*list*/
	ctx->vsp=local+3;
	local[2]= cons(ctx,local[2],w);
	ctx->vsp=local+3;
	w=(pointer)LIST(ctx,1,local+2); /*list*/
	local[2]= w;
	w = local[0];
	ctx->vsp=local+3;
	w = cons(ctx,local[2],w);
	ctx->vsp=local+2;
	w = cons(ctx,local[1],w);
	local[0]= w;
BLK24189:
	ctx->vsp=local; return(local[0]);}

/*with-output-to-string*/
static pointer F24356(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<1) maerror();
RST24359:
	ctx->vsp=local+0;
	local[0]= minilist(ctx,&argv[n],n-1);
	local[1]= fqv[32];
	w=argv[0];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[2]= (w)->c.cons.car;
	local[3]= fqv[41];
	w=argv[0];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	w = (w)->c.cons.cdr;
	ctx->vsp=local+4;
	local[3]= cons(ctx,local[3],w);
	ctx->vsp=local+4;
	w=(pointer)LIST(ctx,1,local+3); /*list*/
	ctx->vsp=local+3;
	local[2]= cons(ctx,local[2],w);
	ctx->vsp=local+3;
	w=(pointer)LIST(ctx,1,local+2); /*list*/
	local[2]= w;
	w = local[0];
	ctx->vsp=local+3;
	w = cons(ctx,local[2],w);
	ctx->vsp=local+2;
	w = cons(ctx,local[1],w);
	local[0]= w;
BLK24357:
	ctx->vsp=local; return(local[0]);}

/*get-output-stream-string*/
static pointer F22489get_output_stream_string(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=1) maerror();
	local[0]= argv[0]->c.obj.iv[2];
	local[1]= makeint(0);
	local[2]= argv[0]->c.obj.iv[3];
	ctx->vsp=local+3;
	w=(pointer)SUBSEQ(ctx,3,local+0); /*subseq*/
	local[0]= w;
BLK24403:
	ctx->vsp=local; return(local[0]);}

/*read-from-string*/
static pointer F22492read_from_string(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<1) maerror();
	if (n>=2) { local[0]=(argv[1]); goto ENT24431;}
	local[0]= T;
ENT24431:
	if (n>=3) { local[1]=(argv[2]); goto ENT24430;}
	local[1]= NIL;
ENT24430:
ENT24429:
	if (n>3) maerror();
	local[2]= argv[0];
	ctx->vsp=local+3;
	w=(pointer)F22481make_string_input_stream(ctx,1,local+2); /*make-string-input-stream*/
	local[2]= w;
	local[3]= local[0];
	local[4]= local[1];
	ctx->vsp=local+5;
	w=(pointer)READ(ctx,3,local+2); /*read*/
	local[0]= w;
BLK24427:
	ctx->vsp=local; return(local[0]);}

/*princ-to-string*/
static pointer F22495princ_to_string(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<1) maerror();
	if (n>=2) { local[0]=(argv[1]); goto ENT24461;}
	local[0]= makeint(16);
ENT24461:
ENT24460:
	if (n>2) maerror();
	local[1]= local[0];
	ctx->vsp=local+2;
	w=(pointer)F22484make_string_output_stream(ctx,1,local+1); /*make-string-output-stream*/
	local[1]= w;
	local[2]= argv[0];
	local[3]= local[1];
	ctx->vsp=local+4;
	w=(pointer)PRINC(ctx,2,local+2); /*princ*/
	local[2]= local[1];
	ctx->vsp=local+3;
	w=(pointer)F22489get_output_stream_string(ctx,1,local+2); /*get-output-stream-string*/
	local[0]= w;
BLK24458:
	ctx->vsp=local; return(local[0]);}

/*prin1-to-string*/
static pointer F22498prin1_to_string(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<1) maerror();
	if (n>=2) { local[0]=(argv[1]); goto ENT24502;}
	local[0]= makeint(16);
ENT24502:
ENT24501:
	if (n>2) maerror();
	local[1]= local[0];
	ctx->vsp=local+2;
	w=(pointer)F22484make_string_output_stream(ctx,1,local+1); /*make-string-output-stream*/
	local[1]= w;
	local[2]= argv[0];
	local[3]= local[1];
	ctx->vsp=local+4;
	w=(pointer)PRIN1(ctx,2,local+2); /*prin1*/
	local[2]= local[1];
	ctx->vsp=local+3;
	w=(pointer)F22489get_output_stream_string(ctx,1,local+2); /*get-output-stream-string*/
	local[0]= w;
BLK24499:
	ctx->vsp=local; return(local[0]);}

/*:domain*/
static pointer M24553socket_address_domain(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=2) maerror();
	local[0]= argv[0];
	local[1]= makeint(0);
	local[2]= fqv[42];
	ctx->vsp=local+3;
	w=(pointer)PEEK(ctx,3,local+0); /*system:peek*/
	local[0]= w;
BLK24554:
	ctx->vsp=local; return(local[0]);}

/*:port*/
static pointer M24572socket_address_port(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=2) maerror();
	local[0]= argv[0];
	local[1]= makeint(2);
	local[2]= fqv[42];
	ctx->vsp=local+3;
	w=(pointer)PEEK(ctx,3,local+0); /*system:peek*/
	local[0]= w;
	ctx->vsp=local+1;
	w=(*ftab[5])(ctx,1,local+0,&ftab[5],fqv[43]); /*unix::ntohs*/
	local[0]= w;
BLK24573:
	ctx->vsp=local; return(local[0]);}

/*:host*/
static pointer M24594socket_address_host(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=2) maerror();
	local[0]= argv[0];
	local[1]= makeint(4);
	local[2]= makeint(8);
	ctx->vsp=local+3;
	w=(pointer)SUBSEQ(ctx,3,local+0); /*subseq*/
	local[0]= w;
BLK24595:
	ctx->vsp=local; return(local[0]);}

/*:next-port*/
static pointer M24611socket_address_next_port(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=2) maerror();
	local[0]= argv[0];
	local[1]= fqv[44];
	ctx->vsp=local+2;
	w=(pointer)SEND(ctx,2,local+0); /*send*/
	local[0]= (pointer)((eusinteger_t)(w)+4);
	ctx->vsp=local+1;
	w=(*ftab[6])(ctx,1,local+0,&ftab[6],fqv[45]); /*unix::htons*/
	local[0]= w;
	local[1]= argv[0];
	local[2]= makeint(2);
	local[3]= fqv[42];
	ctx->vsp=local+4;
	w=(pointer)POKE(ctx,4,local+0); /*system:poke*/
	local[0]= w;
BLK24612:
	ctx->vsp=local; return(local[0]);}

/*:prin1*/
static pointer M24641socket_address_prin1(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<2) maerror();
	if (n>=3) { local[0]=(argv[2]); goto ENT24645;}
	local[0]= T;
ENT24645:
ENT24644:
	if (n>3) maerror();
	local[1]= argv[0];
	local[2]= *(ovafptr(argv[1],fqv[15]));
	local[3]= fqv[16];
	local[4]= local[0];
	local[5]= NIL;
	local[6]= fqv[46];
	local[7]= argv[0];
	{ register eusinteger_t i=intval(makeint(4));
	  w=makeint(local[7]->c.str.chars[i]);}
	local[7]= w;
	local[8]= argv[0];
	{ register eusinteger_t i=intval(makeint(5));
	  w=makeint(local[8]->c.str.chars[i]);}
	local[8]= w;
	local[9]= argv[0];
	{ register eusinteger_t i=intval(makeint(6));
	  w=makeint(local[9]->c.str.chars[i]);}
	local[9]= w;
	local[10]= argv[0];
	{ register eusinteger_t i=intval(makeint(7));
	  w=makeint(local[10]->c.str.chars[i]);}
	local[10]= w;
	local[11]= argv[0];
	local[12]= fqv[44];
	ctx->vsp=local+13;
	w=(pointer)SEND(ctx,2,local+11); /*send*/
	local[11]= w;
	ctx->vsp=local+12;
	w=(pointer)XFORMAT(ctx,7,local+5); /*format*/
	local[5]= w;
	ctx->vsp=local+6;
	w=(pointer)SENDMESSAGE(ctx,5,local+1); /*send-message*/
	local[0]= w;
BLK24642:
	ctx->vsp=local; return(local[0]);}

/*make-socket-address*/
static pointer F22507make_socket_address(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<0) maerror();
	ctx->vsp=local+0;
	n=parsekeyparams(fqv[47], &argv[0], n-0, local+0, 0);
	if (n & (1<<0)) goto KEY24708;
	local[0] = makeint(2);
KEY24708:
	if (n & (1<<1)) goto KEY24713;
	local[1] = NIL;
KEY24713:
	if (n & (1<<2)) goto KEY24718;
	local[2] = fqv[48];
KEY24718:
	if (n & (1<<3)) goto KEY24723;
	local[6]= local[2];
	ctx->vsp=local+7;
	w=(pointer)GETSERVBYNAME(ctx,1,local+6); /*unix:getservbyname*/
	local[3] = w;
KEY24723:
	if (n & (1<<4)) goto KEY24731;
	local[6]= fqv[49];
	ctx->vsp=local+7;
	w=(pointer)GETENV(ctx,1,local+6); /*unix:getenv*/
	local[4] = w;
KEY24731:
	if (n & (1<<5)) goto KEY24738;
	local[5] = NIL;
KEY24738:
	local[6]= local[0];
	if (makeint(1)!=local[6]) goto CON24749;
	local[6]= loadglobal(fqv[50]);
	local[7]= makeint(16);
	local[8]= makeint(2);
	local[9]= local[1];
	ctx->vsp=local+10;
	w=(pointer)LENGTH(ctx,1,local+9); /*length*/
#if sun4 || vax || mips || i386 || alpha || x86_64 || ARM
	w=(pointer)((eusinteger_t)w-2);
#endif
	local[8]= (pointer)((eusinteger_t)local[8] + (eusinteger_t)w);
	ctx->vsp=local+9;
	w=(pointer)MAX(ctx,2,local+7); /*max*/
	local[7]= w;
	ctx->vsp=local+8;
	w=(pointer)INSTANTIATE(ctx,2,local+6); /*instantiate*/
	local[6]= w;
	local[7]= local[6];
	local[8]= local[1];
	local[9]= fqv[51];
	local[10]= makeint(2);
	ctx->vsp=local+11;
	w=(*ftab[4])(ctx,4,local+7,&ftab[4],fqv[24]); /*replace*/
	local[7]= local[0];
	local[8]= local[6];
	local[9]= makeint(0);
	local[10]= fqv[42];
	ctx->vsp=local+11;
	w=(pointer)POKE(ctx,4,local+7); /*system:poke*/
	w = local[6];
	local[6]= w;
	goto CON24747;
CON24749:
	local[6]= local[0];
	if (makeint(2)!=local[6]) goto CON24794;
	local[6]= loadglobal(fqv[50]);
	local[7]= makeint(16);
	ctx->vsp=local+8;
	w=(pointer)INSTANTIATE(ctx,2,local+6); /*instantiate*/
	local[6]= w;
	local[7]= local[0];
	local[8]= local[6];
	local[9]= makeint(0);
	local[10]= fqv[42];
	ctx->vsp=local+11;
	w=(pointer)POKE(ctx,4,local+7); /*system:poke*/
	if (local[4]==NIL) goto IF24821;
	local[7]= local[4];
	if (fqv[52]!=local[7]) goto IF24830;
	local[7]= makeint(0);
	local[8]= makeint(0);
	local[9]= makeint(0);
	local[10]= makeint(0);
	ctx->vsp=local+11;
	w=(pointer)MKINTVECTOR(ctx,4,local+7); /*integer-vector*/
	local[7]= w;
	ctx->vsp=local+8;
	w=(pointer)LIST(ctx,1,local+7); /*list*/
	local[4] = w;
	local[7]= local[4];
	goto IF24831;
IF24830:
	local[7]= local[4];
	ctx->vsp=local+8;
	w=(pointer)GETHOSTBYNAME(ctx,1,local+7); /*unix:gethostbyname*/
	local[4] = w;
	local[7]= local[4];
IF24831:
	w = local[4];
	if (!isnum(w)) goto IF24856;
	local[7]= local[4];
	ctx->vsp=local+8;
	w=(pointer)MINUS(ctx,1,local+7); /*-*/
	local[7]= w;
	ctx->vsp=local+8;
	w=(pointer)SYSERRLIST(ctx,1,local+7); /*unix:syserrlist*/
	ctx->vsp=local+7;
	local[0]=w;
	goto BLK24696;
	goto IF24857;
IF24856:
	local[7]= NIL;
IF24857:
	local[7]= local[6];
	w=local[4];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[8]= (w)->c.cons.car;
	local[9]= fqv[51];
	local[10]= makeint(4);
	ctx->vsp=local+11;
	w=(*ftab[4])(ctx,4,local+7,&ftab[4],fqv[24]); /*replace*/
	local[7]= w;
	goto IF24822;
IF24821:
	local[7]= NIL;
IF24822:
	if (local[2]==NIL) goto IF24884;
	local[7]= local[2];
	local[8]= local[5];
	ctx->vsp=local+9;
	w=(pointer)GETSERVBYNAME(ctx,2,local+7); /*unix:getservbyname*/
	local[2] = w;
	w = local[2];
	if (!isnum(w)) goto IF24903;
	local[7]= local[2];
	ctx->vsp=local+8;
	w=(pointer)MINUS(ctx,1,local+7); /*-*/
	local[7]= w;
	ctx->vsp=local+8;
	w=(pointer)SYSERRLIST(ctx,1,local+7); /*unix:syserrlist*/
	ctx->vsp=local+7;
	local[0]=w;
	goto BLK24696;
	goto IF24904;
IF24903:
	local[7]= NIL;
IF24904:
	w=local[2];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[7]= (w)->c.cons.car;
	local[8]= local[6];
	local[9]= makeint(2);
	local[10]= fqv[42];
	ctx->vsp=local+11;
	w=(pointer)POKE(ctx,4,local+7); /*system:poke*/
	local[7]= w;
	goto IF24885;
IF24884:
	local[7]= NIL;
IF24885:
	if (local[3]==NIL) goto IF24931;
	w = local[3];
	if (!isstring(w)) goto IF24940;
	local[7]= local[3];
	ctx->vsp=local+8;
	w=(pointer)GETSERVBYNAME(ctx,1,local+7); /*unix:getservbyname*/
	local[3] = w;
	local[7]= local[3];
	goto IF24941;
IF24940:
	local[7]= NIL;
IF24941:
	w = local[3];
	if (!isint(w)) goto IF24955;
	local[7]= local[3];
	local[8]= makeint(0);
	ctx->vsp=local+9;
	w=(pointer)GREQP(ctx,2,local+7); /*>=*/
	if (w==NIL) goto IF24955;
	local[7]= local[3];
	ctx->vsp=local+8;
	w=(*ftab[6])(ctx,1,local+7,&ftab[6],fqv[45]); /*unix::htons*/
	local[7]= w;
	local[8]= local[6];
	local[9]= makeint(2);
	local[10]= fqv[42];
	ctx->vsp=local+11;
	w=(pointer)POKE(ctx,4,local+7); /*system:poke*/
	local[7]= w;
	goto IF24956;
IF24955:
	local[7]= NIL;
IF24956:
	goto IF24932;
IF24931:
	local[7]= NIL;
IF24932:
	w = local[6];
	local[6]= w;
	goto CON24747;
CON24794:
	local[6]= NIL;
CON24747:
	w = local[6];
	local[0]= w;
BLK24696:
	ctx->vsp=local; return(local[0]);}

/*:domain*/
static pointer M24995socket_port_domain(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=2) maerror();
	local[0]= argv[0]->c.obj.iv[1];
	local[1]= makeint(0);
	local[2]= fqv[42];
	ctx->vsp=local+3;
	w=(pointer)PEEK(ctx,3,local+0); /*system:peek*/
	local[0]= w;
BLK24996:
	ctx->vsp=local; return(local[0]);}

/*:address*/
static pointer M25014socket_port_address(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=2) maerror();
	w = argv[0]->c.obj.iv[1];
	local[0]= w;
BLK25015:
	ctx->vsp=local; return(local[0]);}

/*:id*/
static pointer M25030socket_port_id(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=2) maerror();
	w = argv[0]->c.obj.iv[0];
	local[0]= w;
BLK25031:
	ctx->vsp=local; return(local[0]);}

/*:fd*/
static pointer M25046socket_port_fd(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=2) maerror();
	w = argv[0]->c.obj.iv[0];
	local[0]= w;
BLK25047:
	ctx->vsp=local; return(local[0]);}

/*:infd*/
static pointer M25062socket_port_infd(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=2) maerror();
	w = argv[0]->c.obj.iv[0];
	local[0]= w;
BLK25063:
	ctx->vsp=local; return(local[0]);}

/*:listen*/
static pointer M25078socket_port_listen(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<2) maerror();
	if (n>=3) { local[0]=(argv[2]); goto ENT25082;}
	local[0]= makeint(3);
ENT25082:
ENT25081:
	if (n>3) maerror();
	local[1]= argv[0]->c.obj.iv[0];
	local[2]= local[0];
	ctx->vsp=local+3;
	w=(pointer)LISTEN(ctx,2,local+1); /*unix:listen*/
	local[0]= w;
BLK25079:
	ctx->vsp=local; return(local[0]);}

/*:accept*/
static pointer M25103socket_port_accept(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=2) maerror();
	local[0]= argv[0]->c.obj.iv[0];
	ctx->vsp=local+1;
	w=(pointer)ACCEPT(ctx,1,local+0); /*unix:accept*/
	local[0]= w;
BLK25104:
	ctx->vsp=local; return(local[0]);}

/*:flag*/
static pointer M25120socket_port_flag(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=2) maerror();
	local[0]= argv[0]->c.obj.iv[0];
	local[1]= makeint(3);
	local[2]= makeint(0);
	ctx->vsp=local+3;
	w=(pointer)FCNTL(ctx,3,local+0); /*unix:fcntl*/
	local[0]= w;
BLK25121:
	ctx->vsp=local; return(local[0]);}

/*:async*/
static pointer M25137socket_port_async(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=3) maerror();
	if (argv[2]==NIL) goto CON25154;
	local[0]= argv[0]->c.obj.iv[0];
	local[1]= makeint(4);
	local[2]= argv[0];
	local[3]= fqv[5];
	ctx->vsp=local+4;
	w=(pointer)SEND(ctx,2,local+2); /*send*/
	local[2]= w;
	local[3]= makeint(8192);
	ctx->vsp=local+4;
	w=(pointer)LOGIOR(ctx,2,local+2); /*logior*/
	local[2]= w;
	ctx->vsp=local+3;
	w=(pointer)FCNTL(ctx,3,local+0); /*unix:fcntl*/
	local[0]= argv[0]->c.obj.iv[0];
	local[1]= makeint(8);
	ctx->vsp=local+2;
	w=(pointer)GETPID(ctx,0,local+2); /*unix:getpid*/
	local[2]= w;
	ctx->vsp=local+3;
	w=(pointer)FCNTL(ctx,3,local+0); /*unix:fcntl*/
	local[0]= w;
	goto CON25152;
CON25154:
	local[0]= argv[0]->c.obj.iv[0];
	local[1]= makeint(4);
	local[2]= argv[0];
	local[3]= fqv[5];
	ctx->vsp=local+4;
	w=(pointer)SEND(ctx,2,local+2); /*send*/
	local[2]= w;
	local[3]= makeint(8192);
	ctx->vsp=local+4;
	w=(pointer)LOGNOT(ctx,1,local+3); /*lognot*/
	local[3]= w;
	ctx->vsp=local+4;
	w=(pointer)LOGAND(ctx,2,local+2); /*logand*/
	local[2]= w;
	ctx->vsp=local+3;
	w=(pointer)FCNTL(ctx,3,local+0); /*unix:fcntl*/
	local[0]= w;
	goto CON25152;
CON25180:
	local[0]= NIL;
CON25152:
	w = local[0];
	local[0]= w;
BLK25138:
	ctx->vsp=local; return(local[0]);}

/*:init*/
static pointer M25199socket_port_init(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=3) maerror();
	argv[0]->c.obj.iv[1] = argv[2];
	local[0]= NIL;
	local[1]= argv[0];
	local[2]= fqv[53];
	ctx->vsp=local+3;
	w=(pointer)SEND(ctx,2,local+1); /*send*/
	local[1]= w;
	local[2]= makeint(1);
	local[3]= makeint(0);
	ctx->vsp=local+4;
	w=(pointer)SOCKET(ctx,3,local+1); /*unix:socket*/
	argv[0]->c.obj.iv[0] = w;
	local[1]= argv[0]->c.obj.iv[0];
	local[2]= makeint(0);
	ctx->vsp=local+3;
	w=(pointer)LESSP(ctx,2,local+1); /*<*/
	if (w==NIL) goto IF25243;
	w = argv[0]->c.obj.iv[0];
	ctx->vsp=local+1;
	local[0]=w;
	goto BLK25200;
	goto IF25244;
IF25243:
	local[1]= NIL;
IF25244:
	local[1]= argv[0]->c.obj.iv[0];
	local[2]= argv[0]->c.obj.iv[1];
	ctx->vsp=local+3;
	w=(pointer)BIND(ctx,2,local+1); /*unix:bind*/
	local[0] = w;
	local[1]= local[0];
	local[2]= makeint(0);
	ctx->vsp=local+3;
	w=(pointer)LESSP(ctx,2,local+1); /*<*/
	if (w==NIL) goto CON25266;
	local[1]= fqv[54];
	ctx->vsp=local+2;
	w=(*ftab[7])(ctx,1,local+1,&ftab[7],fqv[55]); /*unix:perror*/
	local[1]= local[0];
	goto CON25264;
CON25266:
	local[1]= argv[0];
	local[2]= fqv[56];
	ctx->vsp=local+3;
	w=(pointer)SEND(ctx,2,local+1); /*send*/
	local[0] = w;
	local[1]= local[0];
	local[2]= makeint(0);
	ctx->vsp=local+3;
	w=(pointer)NUMEQUAL(ctx,2,local+1); /*=*/
	if (w==NIL) goto IF25291;
	local[1]= argv[0];
	goto IF25292;
IF25291:
	local[1]= local[0];
IF25292:
	goto CON25264;
CON25276:
	local[1]= NIL;
CON25264:
	w = local[1];
	local[0]= w;
BLK25200:
	ctx->vsp=local; return(local[0]);}

/*make-socket-port*/
static pointer F22516make_socket_port(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=1) maerror();
	local[0]= loadglobal(fqv[57]);
	ctx->vsp=local+1;
	w=(pointer)INSTANTIATE(ctx,1,local+0); /*instantiate*/
	local[0]= w;
	local[1]= fqv[18];
	local[2]= argv[0];
	ctx->vsp=local+3;
	w=(pointer)SEND(ctx,3,local+0); /*send*/
	local[0]= w;
BLK25303:
	ctx->vsp=local; return(local[0]);}

/*:domain*/
static pointer M25344socket_stream_domain(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=2) maerror();
	local[0]= argv[0]->c.obj.iv[3];
	local[1]= makeint(0);
	local[2]= fqv[42];
	ctx->vsp=local+3;
	w=(pointer)PEEK(ctx,3,local+0); /*system:peek*/
	local[0]= w;
BLK25345:
	ctx->vsp=local; return(local[0]);}

/*:init*/
static pointer M25363socket_stream_init(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<4) maerror();
	if (n>=5) { local[0]=(argv[4]); goto ENT25367;}
	local[0]= makeint(128);
ENT25367:
ENT25366:
	if (n>5) maerror();
	argv[0]->c.obj.iv[4] = argv[2];
	local[1]= loadglobal(fqv[29]);
	ctx->vsp=local+2;
	w=(pointer)INSTANTIATE(ctx,1,local+1); /*instantiate*/
	local[1]= w;
	local[2]= local[1];
	local[3]= fqv[18];
	local[4]= argv[2];
	local[5]= fqv[58];
	local[6]= fqv[11];
	local[7]= local[0];
	ctx->vsp=local+8;
	w=(pointer)SEND(ctx,6,local+2); /*send*/
	w = local[1];
	argv[0]->c.obj.iv[1] = w;
	local[1]= loadglobal(fqv[29]);
	ctx->vsp=local+2;
	w=(pointer)INSTANTIATE(ctx,1,local+1); /*instantiate*/
	local[1]= w;
	local[2]= local[1];
	local[3]= fqv[18];
	local[4]= argv[2];
	local[5]= fqv[59];
	local[6]= fqv[12];
	local[7]= local[0];
	ctx->vsp=local+8;
	w=(pointer)SEND(ctx,6,local+2); /*send*/
	w = local[1];
	argv[0]->c.obj.iv[2] = w;
	argv[0]->c.obj.iv[3] = argv[3];
	w = argv[0];
	local[0]= w;
BLK25364:
	ctx->vsp=local; return(local[0]);}

/*make-server-socket-stream*/
static pointer F22524make_server_socket_stream(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<1) maerror();
	if (n>=2) { local[0]=(argv[1]); goto ENT25473;}
	local[0]= makeint(512);
ENT25473:
ENT25472:
	if (n>2) maerror();
	local[1]= NIL;
	local[2]= argv[0];
	local[3]= fqv[60];
	ctx->vsp=local+4;
	w=(pointer)SEND(ctx,2,local+2); /*send*/
	local[1] = w;
	w = local[1];
	if (!isnum(w)) goto IF25506;
	local[2]= local[1];
	local[3]= makeint(0);
	ctx->vsp=local+4;
	w=(pointer)LESSP(ctx,2,local+2); /*<*/
	if (w==NIL) goto IF25506;
	w = local[1];
	ctx->vsp=local+2;
	local[0]=w;
	goto BLK25470;
	goto IF25507;
IF25506:
	local[2]= NIL;
IF25507:
	local[2]= loadglobal(fqv[61]);
	ctx->vsp=local+3;
	w=(pointer)INSTANTIATE(ctx,1,local+2); /*instantiate*/
	local[2]= w;
	local[3]= local[2];
	local[4]= fqv[18];
	w=local[1];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[5]= (w)->c.cons.car;
	local[6]= argv[0];
	local[7]= fqv[62];
	ctx->vsp=local+8;
	w=(pointer)SEND(ctx,2,local+6); /*send*/
	local[6]= w;
	local[7]= local[0];
	ctx->vsp=local+8;
	w=(pointer)SEND(ctx,5,local+3); /*send*/
	w = local[2];
	local[0]= w;
BLK25470:
	ctx->vsp=local; return(local[0]);}

/*connect-sigalarm-handler*/
static pointer F22528connect_sigalarm_handler(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=2) maerror();
	local[0]= fqv[63];
	local[1]= loadglobal(fqv[64]);
	ctx->vsp=local+2;
	w=(*ftab[8])(ctx,2,local+0,&ftab[8],fqv[65]); /*warn*/
	local[0]= w;
BLK25562:
	ctx->vsp=local; return(local[0]);}

/*make-client-socket-stream*/
static pointer F22531make_client_socket_stream(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<1) maerror();
	if (n>=2) { local[0]=(argv[1]); goto ENT25585;}
	local[0]= makeint(5);
ENT25585:
	if (n>=3) { local[1]=(argv[2]); goto ENT25584;}
	local[1]= makeint(512);
ENT25584:
ENT25583:
	if (n>3) maerror();
	local[2]= NIL;
	local[3]= NIL;
	local[4]= argv[0];
	local[5]= fqv[53];
	ctx->vsp=local+6;
	w=(pointer)SEND(ctx,2,local+4); /*send*/
	local[4]= w;
	local[5]= makeint(1);
	local[6]= makeint(0);
	ctx->vsp=local+7;
	w=(pointer)SOCKET(ctx,3,local+4); /*unix:socket*/
	local[2] = w;
	local[4]= local[2];
	local[5]= makeint(0);
	ctx->vsp=local+6;
	w=(pointer)LESSP(ctx,2,local+4); /*<*/
	if (w==NIL) goto IF25627;
	local[4]= local[2];
	ctx->vsp=local+5;
	w=(pointer)UNIXCLOSE(ctx,1,local+4); /*unix:uclose*/
	w = local[2];
	ctx->vsp=local+4;
	local[0]=w;
	goto BLK25581;
	goto IF25628;
IF25627:
	local[4]= NIL;
IF25628:
	local[4]= makeint(14);
	local[5]= fqv[66];
	ctx->vsp=local+6;
	w=(pointer)SIGNAL(ctx,2,local+4); /*unix:signal*/
	local[4]= w;
	storeglobal(fqv[67],w);
	local[4]= local[0];
	ctx->vsp=local+5;
	w=(pointer)ALARM(ctx,1,local+4); /*unix:alarm*/
	ctx->vsp=local+4;
	w = makeclosure(codevec,quotevec,UWP25659,env,argv,local);
	local[4]=(pointer)(ctx->protfp); local[5]=w;
	ctx->protfp=(struct protectframe *)(local+4);
	local[6]= local[2];
	local[7]= argv[0];
	ctx->vsp=local+8;
	w=(pointer)CONNECT(ctx,2,local+6); /*unix:connect*/
	local[3] = w;
	w = local[3];
	ctx->vsp=local+6;
	UWP25659(ctx,0,local+6,ctx->protfp->cleaner);
	ctx->protfp=ctx->protfp->protlink;
	local[4]= local[3];
	local[5]= makeint(0);
	ctx->vsp=local+6;
	w=(pointer)LESSP(ctx,2,local+4); /*<*/
	if (w==NIL) goto IF25676;
	local[4]= local[2];
	ctx->vsp=local+5;
	w=(pointer)UNIXCLOSE(ctx,1,local+4); /*unix:uclose*/
	w = local[3];
	ctx->vsp=local+4;
	local[0]=w;
	goto BLK25581;
	goto IF25677;
IF25676:
	local[4]= NIL;
IF25677:
	local[4]= loadglobal(fqv[61]);
	ctx->vsp=local+5;
	w=(pointer)INSTANTIATE(ctx,1,local+4); /*instantiate*/
	local[4]= w;
	local[5]= local[4];
	local[6]= fqv[18];
	local[7]= local[2];
	local[8]= argv[0];
	local[9]= local[1];
	ctx->vsp=local+10;
	w=(pointer)SEND(ctx,5,local+5); /*send*/
	w = local[4];
	local[0]= w;
BLK25581:
	ctx->vsp=local; return(local[0]);}

/*closure or cleaner*/
static pointer UWP25659(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=0) maerror();
	local[0]= makeint(0);
	ctx->vsp=local+1;
	w=(pointer)ALARM(ctx,1,local+0); /*unix:alarm*/
	local[0]= makeint(14);
	local[1]= loadglobal(fqv[67]);
	ctx->vsp=local+2;
	w=(pointer)SIGNAL(ctx,2,local+0); /*unix:signal*/
	local[0]= w;
	ctx->vsp=local; return(local[0]);}

/*make-dgram-socket*/
static pointer F22534make_dgram_socket(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=1) maerror();
	local[0]= NIL;
	local[1]= argv[0];
	local[2]= fqv[53];
	ctx->vsp=local+3;
	w=(pointer)SEND(ctx,2,local+1); /*send*/
	local[1]= w;
	local[2]= makeint(2);
	local[3]= makeint(0);
	ctx->vsp=local+4;
	w=(pointer)SOCKET(ctx,3,local+1); /*unix:socket*/
	local[0] = w;
	local[1]= local[0];
	local[2]= argv[0];
	ctx->vsp=local+3;
	w=(pointer)BIND(ctx,2,local+1); /*unix:bind*/
	w = local[0];
	local[0]= w;
BLK25741:
	ctx->vsp=local; return(local[0]);}

/*connect-server*/
static pointer F22537connect_server(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<2) maerror();
	if (n>=3) { local[0]=(argv[2]); goto ENT25786;}
	local[0]= makeint(5);
ENT25786:
ENT25785:
	if (n>3) maerror();
	local[1]= fqv[53];
	local[2]= makeint(2);
	local[3]= fqv[68];
	local[4]= argv[0];
	local[5]= fqv[44];
	local[6]= argv[1];
	ctx->vsp=local+7;
	w=(pointer)F22507make_socket_address(ctx,6,local+1); /*make-socket-address*/
	local[1]= w;
	local[2]= local[0];
	ctx->vsp=local+3;
	w=(pointer)F22531make_client_socket_stream(ctx,2,local+1); /*make-client-socket-stream*/
	local[0]= w;
BLK25783:
	ctx->vsp=local; return(local[0]);}

/*select-stream*/
static pointer F22541select_stream(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<1) maerror();
	if (n>=2) { local[0]=(argv[1]); goto ENT25823;}
	local[0]= makeflt(0.00000000e+00);
ENT25823:
ENT25822:
	if (n>2) maerror();
	local[1]= makeint(0);
	local[2]= NIL;
	local[3]= makeint(0);
	local[4]= NIL;
	local[5]= NIL;
	local[6]= argv[0];
WHL25873:
	if (local[6]==NIL) goto WHX25874;
	w=local[6];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[7]= (w)->c.cons.car;
	w=local[6];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[6] = (w)->c.cons.cdr;
	w = local[7];
	local[5] = w;
	w = local[5];
	if (!isint(w)) goto CON25926;
	local[7]= local[5];
	goto CON25924;
CON25926:
	local[7]= local[5];
	local[8]= fqv[2];
	ctx->vsp=local+9;
	w=(pointer)SEND(ctx,2,local+7); /*send*/
	local[7]= w;
	goto CON25924;
CON25932:
	local[7]= NIL;
CON25924:
	local[4] = local[7];
	local[7]= makeint(1);
	local[8]= local[1];
	local[9]= local[4];
	local[10]= makeint(1);
	ctx->vsp=local+11;
	w=(pointer)DPB(ctx,4,local+7); /*dpb*/
	local[1] = w;
	local[7]= loadglobal(fqv[69]);
	local[8]= local[4];
	w = local[5];
	{ register eusinteger_t i; register pointer v;
	  i=intval(local[8]); v=local[7];
	  v->c.vec.v[i]=w;}
	goto WHL25873;
WHX25874:
	local[7]= NIL;
BLK25875:
	w = NIL;
	local[5]= local[1];
	local[6]= local[0];
	ctx->vsp=local+7;
	w=(pointer)SELECT_READ(ctx,2,local+5); /*unix:select-read-fd*/
	local[1] = w;
WHL25975:
	local[5]= local[1];
	local[6]= makeint(0);
	ctx->vsp=local+7;
	w=(pointer)GREATERP(ctx,2,local+5); /*>*/
	if (w==NIL) goto WHX25976;
	local[5]= local[1];
	local[6]= makeint(1);
	ctx->vsp=local+7;
	w=(pointer)LOGTEST(ctx,2,local+5); /*logtest*/
	if (w==NIL) goto IF25983;
	local[5]= loadglobal(fqv[69]);
	{ register eusinteger_t i=intval(local[3]);
	  w=(local[5]->c.vec.v[i]);}
	local[5]= w;
	w = local[2];
	ctx->vsp=local+6;
	local[2] = cons(ctx,local[5],w);
	local[5]= local[2];
	goto IF25984;
IF25983:
	local[5]= NIL;
IF25984:
	local[5]= local[1];
	local[6]= makeint(-1);
	ctx->vsp=local+7;
	w=(pointer)ASH(ctx,2,local+5); /*ash*/
	local[1] = w;
	local[3] = (pointer)((eusinteger_t)(local[3])+4);
	goto WHL25975;
WHX25976:
	local[5]= NIL;
BLK25977:
	w = local[2];
	local[0]= w;
BLK25820:
	ctx->vsp=local; return(local[0]);}

/*sigio-handler*/
static pointer F22546sigio_handler(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=2) maerror();
	local[0]= NIL;
	local[1]= loadglobal(fqv[70]);
	ctx->vsp=local+2;
	w=(pointer)F22541select_stream(ctx,1,local+1); /*select-stream*/
	local[1]= w;
WHL26068:
	if (local[1]==NIL) goto WHX26069;
	w=local[1];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[2]= (w)->c.cons.car;
	w=local[1];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[1] = (w)->c.cons.cdr;
	w = local[2];
	local[0] = w;
	local[2]= loadglobal(fqv[71]);
	w = local[0];
	if (!isint(w)) goto IF26121;
	local[3]= local[0];
	goto IF26122;
IF26121:
	local[3]= local[0];
	local[4]= fqv[2];
	ctx->vsp=local+5;
	w=(pointer)SEND(ctx,2,local+3); /*send*/
	local[3]= w;
IF26122:
	{ register eusinteger_t i=intval(local[3]);
	  w=(local[2]->c.vec.v[i]);}
	local[2]= w;
	local[3]= local[0];
	ctx->vsp=local+4;
	w=(pointer)FUNCALL(ctx,2,local+2); /*funcall*/
	goto WHL26068;
WHX26069:
	local[2]= NIL;
BLK26070:
	w = NIL;
	local[0]= w;
BLK26036:
	ctx->vsp=local; return(local[0]);}

/*def-async*/
static pointer F26141(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<1) maerror();
RST26145:
	ctx->vsp=local+0;
	local[0]= minilist(ctx,&argv[n],n-1);
	local[1]= NIL;
	local[2]= NIL;
	w=local[0];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	if ((w)->c.cons.cdr==NIL) goto CON26162;
	ctx->vsp=local+3;
	w=(pointer)GENSYM(ctx,0,local+3); /*gensym*/
	local[2] = w;
	local[3]= fqv[72];
	local[4]= local[2];
	w = local[0];
	ctx->vsp=local+5;
	w = cons(ctx,local[4],w);
	ctx->vsp=local+4;
	local[0] = cons(ctx,local[3],w);
	local[3]= local[0];
	goto CON26160;
CON26162:
	w=local[0];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[2] = (w)->c.cons.car;
	local[0] = NIL;
	local[3]= local[0];
	goto CON26160;
CON26194:
	local[3]= NIL;
CON26160:
	local[3]= fqv[73];
	local[4]= fqv[74];
	local[5]= argv[0];
	local[6]= fqv[70];
	ctx->vsp=local+7;
	w=(pointer)LIST(ctx,1,local+6); /*list*/
	ctx->vsp=local+6;
	w = cons(ctx,local[5],w);
	ctx->vsp=local+5;
	local[4]= cons(ctx,local[4],w);
	local[5]= fqv[75];
	local[6]= fqv[76];
	local[7]= fqv[37];
	local[8]= fqv[77];
	ctx->vsp=local+9;
	w=(pointer)LIST(ctx,1,local+8); /*list*/
	ctx->vsp=local+8;
	local[7]= cons(ctx,local[7],w);
	ctx->vsp=local+8;
	w=(pointer)LIST(ctx,1,local+7); /*list*/
	ctx->vsp=local+7;
	w = cons(ctx,local[6],w);
	ctx->vsp=local+6;
	local[5]= cons(ctx,local[5],w);
	local[6]= fqv[34];
	local[7]= fqv[78];
	local[8]= argv[0];
	ctx->vsp=local+9;
	w=(pointer)LIST(ctx,1,local+8); /*list*/
	ctx->vsp=local+8;
	local[7]= cons(ctx,local[7],w);
	local[8]= fqv[73];
	local[9]= fqv[79];
	local[10]= argv[0];
	local[11]= fqv[80];
	local[12]= fqv[81];
	local[13]= fqv[79];
	local[14]= argv[0];
	local[15]= fqv[82];
	local[16]= fqv[83];
	ctx->vsp=local+17;
	w=(pointer)LIST(ctx,1,local+16); /*list*/
	ctx->vsp=local+16;
	w = cons(ctx,local[15],w);
	ctx->vsp=local+15;
	w = cons(ctx,local[14],w);
	ctx->vsp=local+14;
	local[13]= cons(ctx,local[13],w);
	local[14]= fqv[84];
	ctx->vsp=local+15;
	w=(pointer)LIST(ctx,1,local+14); /*list*/
	ctx->vsp=local+14;
	w = cons(ctx,local[13],w);
	ctx->vsp=local+13;
	local[12]= cons(ctx,local[12],w);
	ctx->vsp=local+13;
	w=(pointer)LIST(ctx,1,local+12); /*list*/
	ctx->vsp=local+12;
	w = cons(ctx,local[11],w);
	ctx->vsp=local+11;
	w = cons(ctx,local[10],w);
	ctx->vsp=local+10;
	local[9]= cons(ctx,local[9],w);
	local[10]= fqv[79];
	local[11]= argv[0];
	local[12]= fqv[85];
	local[13]= fqv[86];
	ctx->vsp=local+14;
	w=(pointer)LIST(ctx,1,local+13); /*list*/
	local[13]= w;
	ctx->vsp=local+14;
	w=(pointer)LIST(ctx,1,local+13); /*list*/
	ctx->vsp=local+13;
	w = cons(ctx,local[12],w);
	ctx->vsp=local+12;
	w = cons(ctx,local[11],w);
	ctx->vsp=local+11;
	local[10]= cons(ctx,local[10],w);
	ctx->vsp=local+11;
	w=(pointer)LIST(ctx,1,local+10); /*list*/
	ctx->vsp=local+10;
	w = cons(ctx,local[9],w);
	ctx->vsp=local+9;
	local[8]= cons(ctx,local[8],w);
	local[9]= fqv[4];
	local[10]= argv[0];
	local[11]= fqv[6];
	local[12]= fqv[87];
	ctx->vsp=local+13;
	w=(pointer)LIST(ctx,1,local+12); /*list*/
	ctx->vsp=local+12;
	w = cons(ctx,local[11],w);
	ctx->vsp=local+11;
	w = cons(ctx,local[10],w);
	ctx->vsp=local+10;
	local[9]= cons(ctx,local[9],w);
	ctx->vsp=local+10;
	w=(pointer)LIST(ctx,1,local+9); /*list*/
	ctx->vsp=local+9;
	w = cons(ctx,local[8],w);
	ctx->vsp=local+8;
	w = cons(ctx,local[7],w);
	ctx->vsp=local+7;
	local[6]= cons(ctx,local[6],w);
	local[7]= fqv[88];
	local[8]= fqv[89];
	local[9]= fqv[71];
	local[10]= fqv[34];
	local[11]= fqv[78];
	local[12]= argv[0];
	ctx->vsp=local+13;
	w=(pointer)LIST(ctx,1,local+12); /*list*/
	ctx->vsp=local+12;
	local[11]= cons(ctx,local[11],w);
	local[12]= argv[0];
	local[13]= fqv[4];
	local[14]= argv[0];
	local[15]= fqv[2];
	ctx->vsp=local+16;
	w=(pointer)LIST(ctx,1,local+15); /*list*/
	ctx->vsp=local+15;
	w = cons(ctx,local[14],w);
	ctx->vsp=local+14;
	local[13]= cons(ctx,local[13],w);
	ctx->vsp=local+14;
	w=(pointer)LIST(ctx,1,local+13); /*list*/
	ctx->vsp=local+13;
	w = cons(ctx,local[12],w);
	ctx->vsp=local+12;
	w = cons(ctx,local[11],w);
	ctx->vsp=local+11;
	local[10]= cons(ctx,local[10],w);
	ctx->vsp=local+11;
	w=(pointer)LIST(ctx,1,local+10); /*list*/
	ctx->vsp=local+10;
	w = cons(ctx,local[9],w);
	ctx->vsp=local+9;
	local[8]= cons(ctx,local[8],w);
	local[9]= local[2];
	ctx->vsp=local+10;
	w=(pointer)LIST(ctx,1,local+9); /*list*/
	ctx->vsp=local+9;
	w = cons(ctx,local[8],w);
	ctx->vsp=local+8;
	local[7]= cons(ctx,local[7],w);
	ctx->vsp=local+8;
	w=(pointer)LIST(ctx,1,local+7); /*list*/
	ctx->vsp=local+7;
	w = cons(ctx,local[6],w);
	ctx->vsp=local+6;
	w = cons(ctx,local[5],w);
	ctx->vsp=local+5;
	w = cons(ctx,local[4],w);
	ctx->vsp=local+4;
	w = cons(ctx,local[3],w);
	local[0]= w;
BLK26143:
	ctx->vsp=local; return(local[0]);}

/*:destinations*/
static pointer M26446broadcast_stream_destinations(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<2) maerror();
	if (n>=3) { local[0]=(argv[2]); goto ENT26450;}
	local[0]= NIL;
ENT26450:
ENT26449:
	if (n>3) maerror();
	if (local[0]==NIL) goto IF26466;
	local[1]= local[0];
	w = argv[0]->c.obj.iv[5];
	ctx->vsp=local+2;
	argv[0]->c.obj.iv[5] = cons(ctx,local[1],w);
	local[1]= argv[0]->c.obj.iv[5];
	goto IF26467;
IF26466:
	local[1]= NIL;
IF26467:
	w = argv[0]->c.obj.iv[5];
	local[0]= w;
BLK26447:
	ctx->vsp=local; return(local[0]);}

/*:init*/
static pointer M26487broadcast_stream_init(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=3) maerror();
	local[0]= argv[0];
	local[1]= *(ovafptr(argv[1],fqv[15]));
	local[2]= fqv[18];
	local[3]= fqv[12];
	local[4]= makeint(256);
	ctx->vsp=local+5;
	w=(pointer)SENDMESSAGE(ctx,5,local+0); /*send-message*/
	argv[0]->c.obj.iv[5] = argv[2];
	w = argv[0];
	local[0]= w;
BLK26488:
	ctx->vsp=local; return(local[0]);}

/*:flush*/
static pointer M26523broadcast_stream_flush(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=2) maerror();
	local[0]= NIL;
	local[1]= NIL;
	local[2]= argv[0]->c.obj.iv[3];
	local[3]= argv[0]->c.obj.iv[2];
	ctx->vsp=local+4;
	w=(pointer)LENGTH(ctx,1,local+3); /*length*/
	local[3]= w;
	ctx->vsp=local+4;
	w=(pointer)LESSP(ctx,2,local+2); /*<*/
	if (w==NIL) goto IF26540;
	local[2]= argv[0]->c.obj.iv[2];
	local[3]= makeint(0);
	local[4]= argv[0]->c.obj.iv[3];
	ctx->vsp=local+5;
	w=(pointer)SUBSEQ(ctx,3,local+2); /*subseq*/
	local[1] = w;
	local[2]= local[1];
	goto IF26541;
IF26540:
	local[1] = argv[0]->c.obj.iv[2];
	local[2]= local[1];
IF26541:
	argv[0]->c.obj.iv[3] = makeint(0);
	local[2]= NIL;
	local[3]= argv[0]->c.obj.iv[5];
WHL26588:
	if (local[3]==NIL) goto WHX26589;
	w=local[3];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[4]= (w)->c.cons.car;
	w=local[3];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[3] = (w)->c.cons.cdr;
	w = local[4];
	local[2] = w;
	local[4]= local[1];
	local[5]= local[2];
	ctx->vsp=local+6;
	w=(pointer)PRINC(ctx,2,local+4); /*princ*/
	local[4]= local[2];
	ctx->vsp=local+5;
	w=(pointer)FINOUT(ctx,1,local+4); /*finish-output*/
	goto WHL26588;
WHX26589:
	local[4]= NIL;
BLK26590:
	w = NIL;
	w = T;
	local[0]= w;
BLK26524:
	ctx->vsp=local; return(local[0]);}

/*:close*/
static pointer M26651broadcast_stream_close(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=2) maerror();
	local[0]= NIL;
	local[1]= argv[0]->c.obj.iv[5];
WHL26681:
	if (local[1]==NIL) goto WHX26682;
	w=local[1];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[2]= (w)->c.cons.car;
	w=local[1];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[1] = (w)->c.cons.cdr;
	w = local[2];
	local[0] = w;
	local[2]= local[0];
	ctx->vsp=local+3;
	w=(pointer)CLOSE(ctx,1,local+2); /*close*/
	goto WHL26681;
WHX26682:
	local[2]= NIL;
BLK26683:
	w = NIL;
	local[0]= w;
BLK26652:
	ctx->vsp=local; return(local[0]);}

/*make-broadcast-stream*/
static pointer F22555make_broadcast_stream(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<0) maerror();
RST26741:
	ctx->vsp=local+0;
	local[0]= minilist(ctx,&argv[n],n-0);
	local[1]= NIL;
	local[2]= NIL;
	local[3]= NIL;
	local[4]= local[0];
WHL26771:
	if (local[4]==NIL) goto WHX26772;
	w=local[4];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[5]= (w)->c.cons.car;
	w=local[4];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[4] = (w)->c.cons.cdr;
	w = local[5];
	local[3] = w;
	local[5]= local[3];
	ctx->vsp=local+6;
	w=(pointer)STREAMP(ctx,1,local+5); /*streamp*/
	if (w==NIL) goto IF26820;
	local[5]= local[3];
	w = local[2];
	ctx->vsp=local+6;
	local[2] = cons(ctx,local[5],w);
	local[5]= local[2];
	goto IF26821;
IF26820:
	local[5]= local[3];
	local[6]= fqv[90];
	local[7]= fqv[12];
	ctx->vsp=local+8;
	w=(*ftab[9])(ctx,3,local+5,&ftab[9],fqv[91]); /*open*/
	local[5]= w;
	w = local[2];
	ctx->vsp=local+6;
	local[2] = cons(ctx,local[5],w);
	local[5]= local[2];
IF26821:
	goto WHL26771;
WHX26772:
	local[5]= NIL;
BLK26773:
	w = NIL;
	local[3]= loadglobal(fqv[92]);
	ctx->vsp=local+4;
	w=(pointer)INSTANTIATE(ctx,1,local+3); /*instantiate*/
	local[3]= w;
	local[4]= local[3];
	local[5]= fqv[18];
	local[6]= local[2];
	ctx->vsp=local+7;
	w=(pointer)SEND(ctx,3,local+4); /*send*/
	w = local[3];
	local[0]= w;
BLK26739:
	ctx->vsp=local; return(local[0]);}

/*read-buffer*/
static pointer F22558read_buffer(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<2) maerror();
	if (n>=3) { local[0]=(argv[2]); goto ENT26892;}
	local[0]= argv[1];
	ctx->vsp=local+1;
	w=(pointer)LENGTH(ctx,1,local+0); /*length*/
	local[0]= w;
ENT26892:
ENT26891:
	if (n>3) maerror();
	local[1]= argv[0];
	local[2]= fqv[90];
	local[3]= fqv[11];
	ctx->vsp=local+4;
	w=(*ftab[9])(ctx,3,local+1,&ftab[9],fqv[91]); /*open*/
	local[1]= w;
	ctx->vsp=local+2;
	w = makeclosure(codevec,quotevec,UWP26929,env,argv,local);
	local[2]=(pointer)(ctx->protfp); local[3]=w;
	ctx->protfp=(struct protectframe *)(local+2);
	local[4]= makeint(0);
WHL26946:
	local[5]= local[4];
	local[6]= local[0];
	ctx->vsp=local+7;
	w=(pointer)LESSP(ctx,2,local+5); /*<*/
	if (w==NIL) goto WHX26947;
	local[5]= local[4];
	local[6]= local[1];
	local[7]= fqv[93];
	ctx->vsp=local+8;
	w=(pointer)SEND(ctx,2,local+6); /*send*/
	local[6]= w;
	local[7]= argv[1];
	local[8]= local[0];
	local[9]= local[4];
	ctx->vsp=local+10;
	w=(pointer)MINUS(ctx,2,local+8); /*-*/
	local[8]= w;
	local[9]= local[4];
	ctx->vsp=local+10;
	w=(pointer)UNIXREAD(ctx,4,local+6); /*unix:uread*/
	local[6]= w;
	ctx->vsp=local+7;
	w=(pointer)PLUS(ctx,2,local+5); /*+*/
	local[4] = w;
	goto WHL26946;
WHX26947:
	local[5]= NIL;
BLK26948:
	w = local[5];
	w = argv[1];
	ctx->vsp=local+4;
	UWP26929(ctx,0,local+4,ctx->protfp->cleaner);
	ctx->protfp=ctx->protfp->protlink;
	local[0]= w;
BLK26889:
	ctx->vsp=local; return(local[0]);}

/*closure or cleaner*/
static pointer UWP26929(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=0) maerror();
	local[0]= env->c.clo.env2[1];
	ctx->vsp=local+1;
	w=(pointer)CLOSE(ctx,1,local+0); /*close*/
	local[0]= w;
	ctx->vsp=local; return(local[0]);}

/*write-buffer*/
static pointer F22561write_buffer(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<2) maerror();
	if (n>=3) { local[0]=(argv[2]); goto ENT27003;}
	local[0]= argv[1];
	ctx->vsp=local+1;
	w=(pointer)LENGTH(ctx,1,local+0); /*length*/
	local[0]= w;
ENT27003:
ENT27002:
	if (n>3) maerror();
	local[1]= argv[0];
	local[2]= fqv[90];
	local[3]= fqv[12];
	ctx->vsp=local+4;
	w=(*ftab[9])(ctx,3,local+1,&ftab[9],fqv[91]); /*open*/
	local[1]= w;
	ctx->vsp=local+2;
	w = makeclosure(codevec,quotevec,UWP27040,env,argv,local);
	local[2]=(pointer)(ctx->protfp); local[3]=w;
	ctx->protfp=(struct protectframe *)(local+2);
	local[4]= local[1];
	local[5]= argv[1];
	local[6]= local[0];
	ctx->vsp=local+7;
	w=(pointer)UNIXWRITE(ctx,3,local+4); /*unix:write*/
	ctx->vsp=local+4;
	UWP27040(ctx,0,local+4,ctx->protfp->cleaner);
	ctx->protfp=ctx->protfp->protlink;
	local[0]= w;
BLK27000:
	ctx->vsp=local; return(local[0]);}

/*closure or cleaner*/
static pointer UWP27040(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=0) maerror();
	local[0]= env->c.clo.env2[1];
	ctx->vsp=local+1;
	w=(pointer)CLOSE(ctx,1,local+0); /*close*/
	local[0]= w;
	ctx->vsp=local; return(local[0]);}

/*:init*/
static pointer M27089port_selector_init(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<2) maerror();
RST27092:
	ctx->vsp=local+0;
	local[0]= minilist(ctx,&argv[n],n-2);
	local[1]= loadglobal(fqv[94]);
	local[2]= fqv[95];
	local[3]= fqv[96];
	ctx->vsp=local+4;
	w=(*ftab[10])(ctx,3,local+1,&ftab[10],fqv[97]); /*make-array*/
	argv[0]->c.obj.iv[1] = w;
	local[1]= loadglobal(fqv[94]);
	local[2]= fqv[95];
	local[3]= fqv[96];
	ctx->vsp=local+4;
	w=(*ftab[10])(ctx,3,local+1,&ftab[10],fqv[97]); /*make-array*/
	argv[0]->c.obj.iv[3] = w;
	local[1]= loadglobal(fqv[94]);
	ctx->vsp=local+2;
	w=(*ftab[10])(ctx,1,local+1,&ftab[10],fqv[97]); /*make-array*/
	argv[0]->c.obj.iv[2] = w;
	local[1]= NIL;
	local[2]= local[0];
WHL27151:
	if (local[2]==NIL) goto WHX27152;
	w=local[2];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[3]= (w)->c.cons.car;
	w=local[2];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[2] = (w)->c.cons.cdr;
	w = local[3];
	local[1] = w;
	local[3]= (pointer)get_sym_func(fqv[4]);
	local[4]= argv[0];
	local[5]= fqv[98];
	w=local[1];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[6]= (w)->c.cons.car;
	w=local[1];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	w=(w)->c.cons.cdr;
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[7]= (w)->c.cons.car;
	w=local[1];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	w=(w)->c.cons.cdr;
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[8]= (w)->c.cons.cdr;
	ctx->vsp=local+9;
	w=(pointer)APPLY(ctx,6,local+3); /*apply*/
	goto WHL27151;
WHX27152:
	local[3]= NIL;
BLK27153:
	w = NIL;
	w = argv[0];
	local[0]= w;
BLK27090:
	ctx->vsp=local; return(local[0]);}

/*:get-stream-fd*/
static pointer M27234port_selector_get_stream_fd(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=3) maerror();
	local[0]= NIL;
	local[1]= argv[2];
	ctx->vsp=local+2;
	w=(pointer)STREAMP(ctx,1,local+1); /*streamp*/
	if (w==NIL) goto CON27263;
	local[1]= argv[2];
	local[2]= fqv[2];
	ctx->vsp=local+3;
	w=(pointer)SEND(ctx,2,local+1); /*send*/
	local[1]= w;
	goto CON27261;
CON27263:
	w = argv[2];
	if (!isnum(w)) goto CON27275;
	local[1]= argv[2];
	goto CON27261;
CON27275:
	local[1]= argv[2];
	local[2]= fqv[93];
	ctx->vsp=local+3;
	w=(*ftab[11])(ctx,2,local+1,&ftab[11],fqv[99]); /*find-method*/
	if (w==NIL) goto CON27281;
	local[1]= argv[2];
	local[2]= fqv[93];
	ctx->vsp=local+3;
	w=(pointer)SEND(ctx,2,local+1); /*send*/
	local[1]= w;
	goto CON27261;
CON27281:
	local[1]= fqv[100];
	ctx->vsp=local+2;
	w=(pointer)SIGERROR(ctx,1,local+1); /*error*/
	local[1]= w;
	goto CON27261;
CON27296:
	local[1]= NIL;
CON27261:
	local[0] = local[1];
	local[1]= local[0];
	local[2]= loadglobal(fqv[94]);
	ctx->vsp=local+3;
	w=(pointer)GREQP(ctx,2,local+1); /*>=*/
	if (w==NIL) goto IF27305;
	local[1]= fqv[101];
	ctx->vsp=local+2;
	w=(pointer)SIGERROR(ctx,1,local+1); /*error*/
	local[1]= w;
	goto IF27306;
IF27305:
	local[1]= NIL;
IF27306:
	w = local[0];
	local[0]= w;
BLK27235:
	ctx->vsp=local; return(local[0]);}

/*:add-port*/
static pointer M27319port_selector_add_port(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<4) maerror();
RST27322:
	ctx->vsp=local+0;
	local[0]= minilist(ctx,&argv[n],n-4);
	local[1]= argv[0];
	local[2]= fqv[102];
	local[3]= argv[2];
	ctx->vsp=local+4;
	w=(pointer)SEND(ctx,3,local+1); /*send*/
	local[1]= w;
	local[2]= argv[0]->c.obj.iv[2];
	local[3]= local[1];
	local[4]= argv[2];
	local[5]= argv[3];
	local[6]= local[0];
	ctx->vsp=local+7;
	w=(pointer)LIST_STAR(ctx,3,local+4); /*list**/
	local[4]= w;
	ctx->vsp=local+5;
	w=(pointer)ASET(ctx,3,local+2); /*aset*/
	local[2]= argv[0]->c.obj.iv[1];
	local[3]= local[1];
	local[4]= makeint(1);
	ctx->vsp=local+5;
	w=(pointer)ASET(ctx,3,local+2); /*aset*/
	local[0]= w;
BLK27320:
	ctx->vsp=local; return(local[0]);}

/*:remove-port*/
static pointer M27373port_selector_remove_port(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=3) maerror();
	local[0]= argv[0];
	local[1]= fqv[102];
	local[2]= argv[2];
	ctx->vsp=local+3;
	w=(pointer)SEND(ctx,3,local+0); /*send*/
	local[0]= w;
	local[1]= argv[0]->c.obj.iv[2];
	local[2]= local[0];
	local[3]= NIL;
	ctx->vsp=local+4;
	w=(pointer)ASET(ctx,3,local+1); /*aset*/
	local[1]= argv[0]->c.obj.iv[1];
	local[2]= local[0];
	local[3]= makeint(0);
	ctx->vsp=local+4;
	w=(pointer)ASET(ctx,3,local+1); /*aset*/
	local[0]= w;
BLK27374:
	ctx->vsp=local; return(local[0]);}

/*:streams*/
static pointer M27417port_selector_streams(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=2) maerror();
	local[0]= NIL;
	local[1]= makeint(0);
	local[2]= loadglobal(fqv[94]);
WHL27462:
	local[3]= local[1];
	w = local[2];
	if ((eusinteger_t)local[3] >= (eusinteger_t)w) goto WHX27463;
	local[3]= argv[0]->c.obj.iv[2];
	local[4]= local[1];
	ctx->vsp=local+5;
	w=(pointer)AREF(ctx,2,local+3); /*aref*/
	if (w==NIL) goto IF27471;
	local[3]= argv[0]->c.obj.iv[2];
	local[4]= local[1];
	ctx->vsp=local+5;
	w=(pointer)AREF(ctx,2,local+3); /*aref*/
	local[3]= w;
	w = local[0];
	ctx->vsp=local+4;
	local[0] = cons(ctx,local[3],w);
	local[3]= local[0];
	goto IF27472;
IF27471:
	local[3]= NIL;
IF27472:
	local[1] = (pointer)((eusinteger_t)(local[1])+4);
	goto WHL27462;
WHX27463:
	local[3]= NIL;
BLK27464:
	w = NIL;
	local[1]= local[0];
	ctx->vsp=local+2;
	w=(pointer)NREVERSE(ctx,1,local+1); /*nreverse*/
	local[0]= w;
BLK27418:
	ctx->vsp=local; return(local[0]);}

/*:fds*/
static pointer M27513port_selector_fds(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=2) maerror();
	local[0]= NIL;
	local[1]= makeint(0);
	local[2]= loadglobal(fqv[94]);
WHL27558:
	local[3]= local[1];
	w = local[2];
	if ((eusinteger_t)local[3] >= (eusinteger_t)w) goto WHX27559;
	local[3]= makeint(1);
	local[4]= argv[0]->c.obj.iv[1];
	local[5]= local[1];
	ctx->vsp=local+6;
	w=(pointer)AREF(ctx,2,local+4); /*aref*/
	local[4]= w;
	ctx->vsp=local+5;
	w=(pointer)NUMEQUAL(ctx,2,local+3); /*=*/
	if (w==NIL) goto IF27567;
	local[3]= local[1];
	w = local[0];
	ctx->vsp=local+4;
	local[0] = cons(ctx,local[3],w);
	local[3]= local[0];
	goto IF27568;
IF27567:
	local[3]= NIL;
IF27568:
	local[1] = (pointer)((eusinteger_t)(local[1])+4);
	goto WHL27558;
WHX27559:
	local[3]= NIL;
BLK27560:
	w = NIL;
	local[1]= local[0];
	ctx->vsp=local+2;
	w=(pointer)NREVERSE(ctx,1,local+1); /*nreverse*/
	local[0]= w;
BLK27514:
	ctx->vsp=local; return(local[0]);}

/*:select*/
static pointer M27606port_selector_select(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<2) maerror();
	if (n>=3) { local[0]=(argv[2]); goto ENT27610;}
	local[0]= makeflt(9.99999940e-02);
ENT27610:
ENT27609:
	if (n>3) maerror();
	local[1]= NIL;
	local[2]= NIL;
	local[3]= NIL;
	local[4]= argv[0]->c.obj.iv[3];
	local[5]= argv[0]->c.obj.iv[1];
	ctx->vsp=local+6;
	w=(*ftab[4])(ctx,2,local+4,&ftab[4],fqv[24]); /*replace*/
	local[4]= argv[0]->c.obj.iv[3];
	local[5]= NIL;
	local[6]= NIL;
	local[7]= local[0];
	ctx->vsp=local+8;
	w=(pointer)SELECT(ctx,4,local+4); /*unix:select*/
	local[1] = w;
	local[4]= local[1];
	local[5]= makeint(0);
	ctx->vsp=local+6;
	w=(pointer)GREATERP(ctx,2,local+4); /*>*/
	if (w==NIL) goto IF27654;
	local[4]= makeint(0);
	local[5]= loadglobal(fqv[94]);
WHL27683:
	local[6]= local[4];
	w = local[5];
	if ((eusinteger_t)local[6] >= (eusinteger_t)w) goto WHX27684;
	local[6]= argv[0]->c.obj.iv[3];
	local[7]= local[4];
	ctx->vsp=local+8;
	w=(pointer)AREF(ctx,2,local+6); /*aref*/
	local[6]= w;
	local[7]= makeint(1);
	ctx->vsp=local+8;
	w=(pointer)NUMEQUAL(ctx,2,local+6); /*=*/
	if (w==NIL) goto IF27693;
	local[6]= argv[0]->c.obj.iv[2];
	local[7]= local[4];
	ctx->vsp=local+8;
	w=(pointer)AREF(ctx,2,local+6); /*aref*/
	local[2] = w;
	w=local[2];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	w=(w)->c.cons.cdr;
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[3] = (w)->c.cons.cdr;
	w=local[2];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	w=(w)->c.cons.cdr;
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[2] = (w)->c.cons.car;
	local[6]= local[2];
	ctx->vsp=local+7;
	w=(*ftab[12])(ctx,1,local+6,&ftab[12],fqv[103]); /*functionp*/
	if (w==NIL) goto IF27733;
	local[6]= local[2];
	local[7]= local[3];
	ctx->vsp=local+8;
	w=(pointer)APPLY(ctx,2,local+6); /*apply*/
	local[6]= w;
	goto IF27734;
IF27733:
	local[6]= (pointer)get_sym_func(fqv[4]);
	local[7]= local[2];
	local[8]= local[3];
	ctx->vsp=local+9;
	w=(pointer)APPLY(ctx,3,local+6); /*apply*/
	local[6]= w;
IF27734:
	goto IF27694;
IF27693:
	local[6]= NIL;
IF27694:
	local[4] = (pointer)((eusinteger_t)(local[4])+4);
	goto WHL27683;
WHX27684:
	local[6]= NIL;
BLK27685:
	w = T;
	local[4]= w;
	goto IF27655;
IF27654:
	local[4]= NIL;
IF27655:
	w = local[4];
	local[0]= w;
BLK27607:
	ctx->vsp=local; return(local[0]);}

/*:select-loop*/
static pointer M27768port_selector_select_loop(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<2) maerror();
	if (n>=3) { local[0]=(argv[2]); goto ENT27773;}
	local[0]= makeflt(9.99999940e-02);
ENT27773:
	if (n>=4) { local[1]=(argv[3]); goto ENT27772;}
	local[1]= NIL;
ENT27772:
ENT27771:
	ctx->vsp=local+2;
	local[2]= minilist(ctx,&argv[n],n-4);
	{jmp_buf jb;
	w = fqv[104];
	ctx->vsp=local+3;
	mkcatchframe(ctx,w,(jmp_buf *)jb);
	if ((w=(pointer)eussetjmp(jb))!=0) { /*fsp=vsp;*/ goto CAT27794;}
WHL27801:
	if (T==NIL) goto WHX27802;
	local[9]= argv[0];
	local[10]= fqv[105];
	local[11]= local[0];
	ctx->vsp=local+12;
	w=(pointer)SEND(ctx,3,local+9); /*send*/
	if (local[1]==NIL) goto IF27815;
	local[9]= local[1];
	local[10]= local[2];
	ctx->vsp=local+11;
	w=(pointer)APPLY(ctx,2,local+9); /*apply*/
	local[9]= w;
	goto IF27816;
IF27815:
	local[9]= NIL;
IF27816:
	goto WHL27801;
WHX27802:
	local[9]= NIL;
BLK27803:
	w = local[9];
CAT27794:
	if (w==(pointer)(1)) w=makeint(0);
	restorecatch(ctx);};
	local[0]= w;
BLK27769:
	ctx->vsp=local; return(local[0]);}

/* initializer*/
pointer ___stream(ctx,n,argv,env)
register context *ctx; int n; pointer *argv; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv;
  register int i;
  numunion nu;
  module=argv[0];
  quotevec=build_quote_vector(ctx,QUOTE_STRINGS_SIZE, quote_strings);
  module->c.code.quotevec=quotevec;
  codevec=module->c.code.codevec;
  fqv=qv=quotevec->c.vec.v;
  init_ftab();
	local[0]= fqv[106];
	ctx->vsp=local+1;
	w=(pointer)FINDPACKAGE(ctx,1,local+0); /*find-package*/
	if (w==NIL) goto IF27832;
	local[0]= fqv[107];
	ctx->vsp=local+1;
	w=(pointer)FINDPACKAGE(ctx,1,local+0); /*find-package*/
	local[0]= w;
	storeglobal(fqv[108],w);
	goto IF27833;
IF27832:
	local[0]= fqv[109];
	ctx->vsp=local+1;
	w=(pointer)SIGERROR(ctx,1,local+0); /*error*/
	local[0]= w;
IF27833:
	local[0]= fqv[110];
	ctx->vsp=local+1;
	w=(pointer)EXPORT(ctx,1,local+0); /*export*/
	ctx->vsp=local+0;
	addcmethod(ctx,module,M22621io_stream_instream,fqv[111],fqv[28],fqv[112]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M22660io_stream_outstream,fqv[113],fqv[28],fqv[114]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M22699io_stream_infd,fqv[2],fqv[28],fqv[115]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M22718io_stream_outfd,fqv[3],fqv[28],fqv[116]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M22737io_stream_in,fqv[117],fqv[28],fqv[118]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M22761io_stream_out,fqv[119],fqv[28],fqv[120]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M22785io_stream_flag,fqv[5],fqv[28],fqv[121]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M22804io_stream_async,fqv[6],fqv[28],fqv[122]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M22826io_stream_fname,fqv[7],fqv[28],fqv[123]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M22845io_stream_init,fqv[18],fqv[28],fqv[124]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M22892stream_reset,fqv[10],fqv[31],fqv[125]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M22931stream_discard,fqv[26],fqv[31],fqv[126]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M22967stream_count,fqv[127],fqv[31],fqv[128]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M22983stream_tail,fqv[129],fqv[31],fqv[130]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M23021stream_chars_left,fqv[20],fqv[31],fqv[131]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M23041stream_tail_string,fqv[22],fqv[31],fqv[132]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M23060stream_buffer,fqv[133],fqv[31],fqv[134]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M23128stream_init,fqv[18],fqv[31],fqv[135]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[136],module,F22460reset_stream,fqv[137]);
	local[0]= fqv[84];
	local[1]= fqv[138];
	local[2]= makeint(8192);
	local[3]= NIL;
	ctx->vsp=local+4;
	w=(pointer)SEND(ctx,4,local+0); /*send*/
	local[0]= fqv[82];
	local[1]= fqv[138];
	local[2]= makeint(3);
	local[3]= NIL;
	ctx->vsp=local+4;
	w=(pointer)SEND(ctx,4,local+0); /*send*/
	local[0]= fqv[80];
	local[1]= fqv[138];
	local[2]= makeint(4);
	local[3]= NIL;
	ctx->vsp=local+4;
	w=(pointer)SEND(ctx,4,local+0); /*send*/
	local[0]= fqv[85];
	local[1]= fqv[138];
	local[2]= makeint(8);
	local[3]= NIL;
	ctx->vsp=local+4;
	w=(pointer)SEND(ctx,4,local+0); /*send*/
	ctx->vsp=local+0;
	addcmethod(ctx,module,M23246file_stream_fd,fqv[93],fqv[29],fqv[139]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M23262file_stream_instream,fqv[111],fqv[29],fqv[140]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M23285file_stream_outstream,fqv[113],fqv[29],fqv[141]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M23308file_stream_infd,fqv[2],fqv[29],fqv[142]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M23331file_stream_outfd,fqv[3],fqv[29],fqv[143]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M23354file_stream_fname,fqv[7],fqv[29],fqv[144]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M23370file_stream_flag,fqv[5],fqv[29],fqv[145]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M23387file_stream_async,fqv[6],fqv[29],fqv[146]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M23446file_stream_nonblock,fqv[147],fqv[29],fqv[148]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M23508file_stream_prin1,fqv[16],fqv[29],fqv[149]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M23549file_stream_init,fqv[18],fqv[29],fqv[150]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M23625file_stream_read_bytes,fqv[151],fqv[29],fqv[152]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M23802file_stream_read_bytes_eof,fqv[153],fqv[29],fqv[154]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[155],module,F22471make_two_way_stream,fqv[156]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[157],module,F22474make_msgq_input_stream,fqv[158]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[159],module,F22477make_msgq_output_stream,fqv[160]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[33],module,F22481make_string_input_stream,fqv[161]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[41],module,F22484make_string_output_stream,fqv[162]);
	ctx->vsp=local+0;
	compmacro(ctx,fqv[163],module,F24188,fqv[164]);
	ctx->vsp=local+0;
	compmacro(ctx,fqv[165],module,F24356,fqv[166]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[167],module,F22489get_output_stream_string,fqv[168]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[169],module,F22492read_from_string,fqv[170]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[171],module,F22495princ_to_string,fqv[172]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[173],module,F22498prin1_to_string,fqv[174]);
	local[0]= fqv[50];
	local[1]= fqv[175];
	local[2]= fqv[50];
	local[3]= fqv[176];
	local[4]= loadglobal(fqv[9]);
	local[5]= fqv[177];
	local[6]= fqv[39];
	local[7]= fqv[178];
	local[8]= NIL;
	local[9]= fqv[95];
	local[10]= fqv[179];
	local[11]= fqv[180];
	local[12]= makeint(-1);
	local[13]= fqv[181];
	local[14]= NIL;
	ctx->vsp=local+15;
	w=(*ftab[13])(ctx,13,local+2,&ftab[13],fqv[182]); /*make-class*/
	local[2]= w;
	ctx->vsp=local+3;
	w=(pointer)SEND(ctx,3,local+0); /*send*/
	ctx->vsp=local+0;
	addcmethod(ctx,module,M24553socket_address_domain,fqv[53],fqv[50],fqv[183]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M24572socket_address_port,fqv[44],fqv[50],fqv[184]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M24594socket_address_host,fqv[68],fqv[50],fqv[185]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M24611socket_address_next_port,fqv[186],fqv[50],fqv[187]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M24641socket_address_prin1,fqv[16],fqv[50],fqv[188]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[189],module,F22507make_socket_address,fqv[190]);
	local[0]= fqv[57];
	local[1]= fqv[175];
	local[2]= fqv[57];
	local[3]= fqv[176];
	local[4]= loadglobal(fqv[191]);
	local[5]= fqv[177];
	local[6]= fqv[192];
	local[7]= fqv[178];
	local[8]= NIL;
	local[9]= fqv[95];
	local[10]= NIL;
	local[11]= fqv[180];
	local[12]= makeint(-1);
	local[13]= fqv[181];
	local[14]= NIL;
	ctx->vsp=local+15;
	w=(*ftab[13])(ctx,13,local+2,&ftab[13],fqv[182]); /*make-class*/
	local[2]= w;
	ctx->vsp=local+3;
	w=(pointer)SEND(ctx,3,local+0); /*send*/
	local[0]= fqv[193];
	ctx->vsp=local+1;
	w=(pointer)EXPORT(ctx,1,local+0); /*export*/
	ctx->vsp=local+0;
	addcmethod(ctx,module,M24995socket_port_domain,fqv[53],fqv[57],fqv[194]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M25014socket_port_address,fqv[62],fqv[57],fqv[195]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M25030socket_port_id,fqv[196],fqv[57],fqv[197]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M25046socket_port_fd,fqv[93],fqv[57],fqv[198]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M25062socket_port_infd,fqv[2],fqv[57],fqv[199]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M25078socket_port_listen,fqv[56],fqv[57],fqv[200]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M25103socket_port_accept,fqv[60],fqv[57],fqv[201]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M25120socket_port_flag,fqv[5],fqv[57],fqv[202]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M25137socket_port_async,fqv[6],fqv[57],fqv[203]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M25199socket_port_init,fqv[18],fqv[57],fqv[204]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[205],module,F22516make_socket_port,fqv[206]);
	local[0]= fqv[61];
	local[1]= fqv[175];
	local[2]= fqv[61];
	local[3]= fqv[176];
	local[4]= loadglobal(fqv[28]);
	local[5]= fqv[177];
	local[6]= fqv[207];
	local[7]= fqv[178];
	local[8]= NIL;
	local[9]= fqv[95];
	local[10]= NIL;
	local[11]= fqv[180];
	local[12]= makeint(-1);
	local[13]= fqv[181];
	local[14]= NIL;
	ctx->vsp=local+15;
	w=(*ftab[13])(ctx,13,local+2,&ftab[13],fqv[182]); /*make-class*/
	local[2]= w;
	ctx->vsp=local+3;
	w=(pointer)SEND(ctx,3,local+0); /*send*/
	ctx->vsp=local+0;
	addcmethod(ctx,module,M25344socket_stream_domain,fqv[53],fqv[61],fqv[208]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M25363socket_stream_init,fqv[18],fqv[61],fqv[209]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[210],module,F22524make_server_socket_stream,fqv[211]);
	local[0]= fqv[67];
	local[1]= fqv[212];
	ctx->vsp=local+2;
	w=(pointer)SEND(ctx,2,local+0); /*send*/
	local[0]= w;
	local[1]= makeint(1);
	ctx->vsp=local+2;
	w=(pointer)EQ(ctx,2,local+0); /*eql*/
	if (w==NIL) goto IF28105;
	local[0]= fqv[67];
	local[1]= fqv[212];
	local[2]= makeint(2);
	ctx->vsp=local+3;
	w=(pointer)SEND(ctx,3,local+0); /*send*/
	local[0]= fqv[67];
	ctx->vsp=local+1;
	w=(pointer)BOUNDP(ctx,1,local+0); /*boundp*/
	if (w!=NIL) goto IF28128;
	local[0]= fqv[67];
	local[1]= fqv[175];
	local[2]= NIL;
	local[3]= NIL;
	ctx->vsp=local+4;
	w=(pointer)SEND(ctx,4,local+0); /*send*/
	local[0]= w;
	goto IF28129;
IF28128:
	local[0]= NIL;
IF28129:
	local[0]= fqv[67];
	goto IF28106;
IF28105:
	local[0]= NIL;
IF28106:
	ctx->vsp=local+0;
	compfun(ctx,fqv[66],module,F22528connect_sigalarm_handler,fqv[213]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[214],module,F22531make_client_socket_stream,fqv[215]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[216],module,F22534make_dgram_socket,fqv[217]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[218],module,F22537connect_server,fqv[219]);
	local[0]= fqv[69];
	local[1]= fqv[212];
	ctx->vsp=local+2;
	w=(pointer)SEND(ctx,2,local+0); /*send*/
	local[0]= w;
	local[1]= makeint(1);
	ctx->vsp=local+2;
	w=(pointer)EQ(ctx,2,local+0); /*eql*/
	if (w==NIL) goto IF28156;
	local[0]= fqv[69];
	local[1]= fqv[212];
	local[2]= makeint(2);
	ctx->vsp=local+3;
	w=(pointer)SEND(ctx,3,local+0); /*send*/
	local[0]= fqv[69];
	ctx->vsp=local+1;
	w=(pointer)BOUNDP(ctx,1,local+0); /*boundp*/
	if (w!=NIL) goto IF28179;
	local[0]= fqv[69];
	local[1]= fqv[175];
	local[2]= loadglobal(fqv[220]);
	local[3]= makeint(32);
	ctx->vsp=local+4;
	w=(pointer)INSTANTIATE(ctx,2,local+2); /*instantiate*/
	local[2]= w;
	local[3]= NIL;
	ctx->vsp=local+4;
	w=(pointer)SEND(ctx,4,local+0); /*send*/
	local[0]= w;
	goto IF28180;
IF28179:
	local[0]= NIL;
IF28180:
	local[0]= fqv[69];
	goto IF28157;
IF28156:
	local[0]= NIL;
IF28157:
	ctx->vsp=local+0;
	compfun(ctx,fqv[221],module,F22541select_stream,fqv[222]);
	local[0]= fqv[70];
	local[1]= fqv[212];
	ctx->vsp=local+2;
	w=(pointer)SEND(ctx,2,local+0); /*send*/
	local[0]= w;
	local[1]= makeint(1);
	ctx->vsp=local+2;
	w=(pointer)EQ(ctx,2,local+0); /*eql*/
	if (w==NIL) goto IF28205;
	local[0]= fqv[70];
	local[1]= fqv[212];
	local[2]= makeint(2);
	ctx->vsp=local+3;
	w=(pointer)SEND(ctx,3,local+0); /*send*/
	local[0]= fqv[70];
	ctx->vsp=local+1;
	w=(pointer)BOUNDP(ctx,1,local+0); /*boundp*/
	if (w!=NIL) goto IF28228;
	local[0]= fqv[70];
	local[1]= fqv[175];
	local[2]= NIL;
	local[3]= NIL;
	ctx->vsp=local+4;
	w=(pointer)SEND(ctx,4,local+0); /*send*/
	local[0]= w;
	goto IF28229;
IF28228:
	local[0]= NIL;
IF28229:
	local[0]= fqv[70];
	goto IF28206;
IF28205:
	local[0]= NIL;
IF28206:
	local[0]= fqv[71];
	local[1]= fqv[212];
	ctx->vsp=local+2;
	w=(pointer)SEND(ctx,2,local+0); /*send*/
	local[0]= w;
	local[1]= makeint(1);
	ctx->vsp=local+2;
	w=(pointer)EQ(ctx,2,local+0); /*eql*/
	if (w==NIL) goto IF28248;
	local[0]= fqv[71];
	local[1]= fqv[212];
	local[2]= makeint(2);
	ctx->vsp=local+3;
	w=(pointer)SEND(ctx,3,local+0); /*send*/
	local[0]= fqv[71];
	ctx->vsp=local+1;
	w=(pointer)BOUNDP(ctx,1,local+0); /*boundp*/
	if (w!=NIL) goto IF28271;
	local[0]= fqv[71];
	local[1]= fqv[175];
	local[2]= loadglobal(fqv[220]);
	local[3]= makeint(32);
	ctx->vsp=local+4;
	w=(pointer)INSTANTIATE(ctx,2,local+2); /*instantiate*/
	local[2]= w;
	local[3]= NIL;
	ctx->vsp=local+4;
	w=(pointer)SEND(ctx,4,local+0); /*send*/
	local[0]= w;
	goto IF28272;
IF28271:
	local[0]= NIL;
IF28272:
	local[0]= fqv[71];
	goto IF28249;
IF28248:
	local[0]= NIL;
IF28249:
	ctx->vsp=local+0;
	compfun(ctx,fqv[77],module,F22546sigio_handler,fqv[223]);
	ctx->vsp=local+0;
	compmacro(ctx,fqv[224],module,F26141,fqv[225]);
	local[0]= fqv[92];
	local[1]= fqv[175];
	local[2]= fqv[92];
	local[3]= fqv[176];
	local[4]= loadglobal(fqv[31]);
	local[5]= fqv[177];
	local[6]= fqv[226];
	local[7]= fqv[178];
	local[8]= NIL;
	local[9]= fqv[95];
	local[10]= NIL;
	local[11]= fqv[180];
	local[12]= makeint(-1);
	local[13]= fqv[181];
	local[14]= NIL;
	ctx->vsp=local+15;
	w=(*ftab[13])(ctx,13,local+2,&ftab[13],fqv[182]); /*make-class*/
	local[2]= w;
	ctx->vsp=local+3;
	w=(pointer)SEND(ctx,3,local+0); /*send*/
	ctx->vsp=local+0;
	addcmethod(ctx,module,M26446broadcast_stream_destinations,fqv[227],fqv[92],fqv[228]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M26487broadcast_stream_init,fqv[18],fqv[92],fqv[229]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M26523broadcast_stream_flush,fqv[230],fqv[92],fqv[231]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M26651broadcast_stream_close,fqv[232],fqv[92],fqv[233]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[234],module,F22555make_broadcast_stream,fqv[235]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[236],module,F22558read_buffer,fqv[237]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[238],module,F22561write_buffer,fqv[239]);
	local[0]= fqv[94];
	local[1]= fqv[175];
	local[2]= makeint(64);
	local[3]= NIL;
	ctx->vsp=local+4;
	w=(pointer)SEND(ctx,4,local+0); /*send*/
	local[0]= fqv[240];
	ctx->vsp=local+1;
	w=(pointer)EXPORT(ctx,1,local+0); /*export*/
	local[0]= fqv[241];
	local[1]= fqv[175];
	local[2]= fqv[241];
	local[3]= fqv[176];
	local[4]= loadglobal(fqv[242]);
	local[5]= fqv[177];
	local[6]= fqv[243];
	local[7]= fqv[178];
	local[8]= NIL;
	local[9]= fqv[95];
	local[10]= NIL;
	local[11]= fqv[180];
	local[12]= makeint(-1);
	local[13]= fqv[181];
	local[14]= NIL;
	ctx->vsp=local+15;
	w=(*ftab[13])(ctx,13,local+2,&ftab[13],fqv[182]); /*make-class*/
	local[2]= w;
	ctx->vsp=local+3;
	w=(pointer)SEND(ctx,3,local+0); /*send*/
	ctx->vsp=local+0;
	addcmethod(ctx,module,M27089port_selector_init,fqv[18],fqv[241],fqv[244]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M27234port_selector_get_stream_fd,fqv[102],fqv[241],fqv[245]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M27319port_selector_add_port,fqv[98],fqv[241],fqv[246]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M27373port_selector_remove_port,fqv[247],fqv[241],fqv[248]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M27417port_selector_streams,fqv[249],fqv[241],fqv[250]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M27513port_selector_fds,fqv[251],fqv[241],fqv[252]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M27606port_selector_select,fqv[105],fqv[241],fqv[253]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M27768port_selector_select_loop,fqv[104],fqv[241],fqv[254]);
	local[0]= NIL;
	ctx->vsp=local; return(local[0]);}
static void init_ftab()
{  register int i;
  for (i=0; i<14; i++) ftab[i]=fcallx;
}
